# Generated by Makefile. Do not edit.

commit 9b3d547d05530cd7c4ab7e46a998c87ca5032827
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   Tue Sep 2 16:15:46 2014 +0200

    Release: 3.4.8

M	NEWS

commit 87dd83c2477eb75e5214b2f421b1cc5e1e3e59f2
Merge: 06a7ec9 c0dc096
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   Tue Sep 2 15:59:09 2014 +0200

    Merge branch 'master' of git://git.gnome.org/libwnck

commit c0dc096f48b57a41c19a54b1669e39e842aaf6ab
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Jul 31 19:40:56 2014 +0200

    doap: add <programming-language>

M	libwnck.doap

commit 4a0f8a6f52a7ec0c61ff2a4dcdd8588a87346f76
Author: Olav Vitters <olav@vitters.nl>
Date:   Wed Jul 30 20:34:19 2014 +0200

    doap category core

M	libwnck.doap

commit 063cc9281372815e0bf0a6b2e63f9b07e1769448
Author: Rico Tzschichholz <ricotz@ubuntu.com>
Date:   Thu Jul 24 14:52:04 2014 +0200

    Add support for _GTK_FRAME_EXTENTS
    
    This adds an additional check if _NET_FRAME_EXTENTS is not set and
    therefore uses the existing *_frame variables accordingly.

M	libwnck/window.c
M	libwnck/xutils.c

commit 06a7ec9ac56b350bcce35b138c20bad1a3ae9c6a
Author: Stefan Sperling <stsp@stsp.name>
Date:   Tue Feb 18 14:14:18 2014 +0100

    TaskList: use new Startup Notification API
    
    The startup-notification API was recently fixed to use pointers to 'time_t'
    instead of pointers to 'long' in the functions
    sn_startup_sequence_get_initiated_time() and
    sn_startup_sequence_get_last_active_time(). See
    http://cgit.freedesktop.org/startup-notification/commit/?id=a7e49fefde18ea8d5bada8096d32f23bcfb5a6dc
    This is necessary for correct operation on 32bit platforms that use 64bit
    time_t (e.g. OpenBSD >= 5.5, Linux x32 ABI).
    
    Unfortunately, it is unknown if or when a new startup-notification release
    containing this patch will be made. Until this situation clears up, downstream
    distributions might or might not choose to apply the above patch to
    startup-notification.
    
    If startup-notification is patched, or a new release containing the patch is
    made, then libwnck needs the attached patch to avoid corruption of stack
    variables on 32bit platforms if startup-notifications are enabled.

M	libwnck/tasklist.c

commit 094cf9b06059ef91a93b0d007010efdb0f370baf
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Thu Jan 23 12:50:35 2014 +0100

    Updated FSF's address

M	libwnck/application.c
M	libwnck/application.h
M	libwnck/class-group.c
M	libwnck/class-group.h
M	libwnck/libwnck.h
M	libwnck/pager-accessible-factory.c
M	libwnck/pager-accessible-factory.h
M	libwnck/pager-accessible.c
M	libwnck/pager-accessible.h
M	libwnck/pager.c
M	libwnck/pager.h
M	libwnck/private.h
M	libwnck/screen.c
M	libwnck/screen.h
M	libwnck/selector.c
M	libwnck/selector.h
M	libwnck/tasklist.c
M	libwnck/tasklist.h
M	libwnck/util.c
M	libwnck/util.h
M	libwnck/version.h.in
M	libwnck/window-action-menu.c
M	libwnck/window-action-menu.h
M	libwnck/window.c
M	libwnck/window.h
M	libwnck/wnck-urgency-monitor.c
M	libwnck/wnckprop.c
M	libwnck/workspace-accessible-factory.c
M	libwnck/workspace-accessible-factory.h
M	libwnck/workspace-accessible.c
M	libwnck/workspace-accessible.h
M	libwnck/workspace.c
M	libwnck/workspace.h
M	libwnck/xutils.c
M	libwnck/xutils.h

commit a147ec67f095f9838d42099ac7d70008c90093dc
Author: GunChleoc <fios@foramnagaidhlig.net>
Date:   Wed Jan 22 21:16:23 2014 +0100

    Added Scottish Gaelic translation

M	po/LINGUAS
A	po/gd.po

commit aec25f000b851e07439f9ba0eeeaf64abdb2f8bb
Author: Wylmer Wang <wantinghard@gmail.com>
Date:   Sun Jan 12 19:49:24 2014 +0800

    Update Chinese simplified translation

M	po/zh_CN.po

commit 5ea173138fd27fb6e98aea502194cff8d8fff943
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Sat Oct 5 10:28:09 2013 +0300

    Updated Latvian translation

M	po/lv.po

commit 53eef7f95bd2ac81b44cc1ce9f92f6dcc0f2b9f9
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   Fri Sep 27 19:34:26 2013 +0200

    WindowActionMenu: unset window and stop async events on dispose
    
    Finalize function can be never called here, so it's better to do this
    when the widget gets destroyed.

M	libwnck/window-action-menu.c

commit 082842c7b17a6a040c3e3d8d65e4ab9b2e885dfc
Author: Noriko Mizumoto <noriko@fedoraproject.org>
Date:   Mon Sep 23 00:00:01 2013 +0900

    l10n: Update Japanese translation

M	po/ja.po

commit 693b094d35f02c2f70c7ae97acec148ded5ab061
Author: Rico Tzschichholz <ricotz@ubuntu.com>
Date:   Tue Sep 3 16:28:34 2013 +0100

    TestWnck: avoid depending on glib 2.34

M	libwnck/test-wnck.c

commit 1cf232b0161c189e5dc83c66a958c451dee31a83
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Wed Aug 28 01:04:50 2013 +0200

    Updated Galician translations

M	po/gl.po

commit 81cc732c278d5909e25f301bdb84defff5046b06
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Mon Aug 26 09:54:42 2013 +0200

    [l10n] Updated Italian translation.

M	po/it.po

commit 7a671bd7f0cbb6281863b3de16834bdc31e99a19
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   Tue Aug 20 17:16:51 2013 +0200

    Release: post-release bump to 3.4.8

M	configure.ac

commit 2743beb84474425ffdd19a5a2230dd58f898b319
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   Tue Aug 20 17:10:52 2013 +0200

    Release: 3.4.7

M	NEWS

commit 9e16bba626e52c96e66a9ae51fc130ea3c62a263
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   Tue Aug 20 16:56:48 2013 +0200

    WnckUtil: add icons section to docs

M	doc/libwnck-docs.sgml
M	doc/libwnck-sections.txt
M	libwnck/util.c

commit 63e4670d37a24d2bc0b7b4db044788e780fff73a
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   Tue Aug 20 16:29:42 2013 +0200

    TestTasklist, TestWnck: added cmdline options to set the icons size

M	libwnck/private.h
M	libwnck/test-tasklist.c
M	libwnck/test-wnck.c

commit c1f6cab67aa84196351a257afc068ae25019b03b
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   Tue Aug 20 16:29:06 2013 +0200

    WnckUtil: make applications and windows to reload icons if size has changed

M	libwnck/util.c

commit 1cf648d3fd83d1c15eb27509c58ade29a5320203
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   Tue Aug 20 16:21:01 2013 +0200

    WnckWindow: Add private function to load an icon and emit signal

M	libwnck/private.h
M	libwnck/window.c

commit 25f4fb1c6b073569e4561427ae737f0b6fa9da63
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   Tue Aug 20 16:20:27 2013 +0200

    WnckApplication: Add private function to load an icon and emit signal

M	libwnck/application.c
M	libwnck/private.h

commit 7b9f3a31edc12fdb8c30711ed2615031bf0b0135
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   Tue Aug 20 13:19:38 2013 +0200

    Utils: allow to set the default icon sizes and use these values

M	doc/libwnck-sections.txt
M	libwnck/application.c
M	libwnck/class-group.c
M	libwnck/private.h
M	libwnck/tasklist.c
M	libwnck/util.c
M	libwnck/util.h
M	libwnck/window.c
M	libwnck/xutils.c

commit 2142cd2c7714d235975cf1f1b05459becfcdc4bd
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   Tue Aug 20 12:47:56 2013 +0200

    private: just use DEFAULT_{ICON,MINI_ICON}_SIZE

M	doc/libwnck-sections.txt
M	libwnck/application.c
M	libwnck/class-group.c
M	libwnck/private.h
M	libwnck/tasklist.c
M	libwnck/window.c
M	libwnck/xutils.c

commit f5855b6e6388999580ddce4a00755eea5438b017
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   Tue Aug 6 13:10:38 2013 +0200

    Release: post-release bump to 3.4.7

M	configure.ac

commit a99fd722aab40b6520da50bcbc800c452e330748
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   Tue Aug 6 13:10:03 2013 +0200

    Release: 3.4.6

M	NEWS

commit 9c782b18f5dfb1c5f0b61b9fa950944d09c69b68
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   Tue Aug 6 13:01:53 2013 +0200

    Doc: don't use g_type_init

M	doc/Makefile.am
M	doc/tmpl/window.sgml

commit 763bead28ca67a6d77624c20c17343b4b63a260e
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   Tue Aug 6 12:38:05 2013 +0200

    Xutils: use gdk_flush instead of XSync

M	libwnck/xutils.c

commit 1fd2748f12a0ade314bac82db12bfbfa1ef2f686
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   Sat Jul 20 20:18:26 2013 +0200

    WnckPager: try to render frames in windows anyway

M	libwnck/pager.c

commit 428a4505544fdb6403784b4aebb420478f64532c
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   Sat Jul 20 20:17:35 2013 +0200

    WnckPager: Use style-context to draw the WS name

M	libwnck/pager.c

commit 03fb0b79ecbad2ed890a4f3f58348eea1252c7a5
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   Sat Jul 20 19:54:09 2013 +0200

    WnckPager: remove the deprecated usage of GtkSymbolicColor for good
    
    The get_dark_color_for_state function is now replaced by the function
    draw_dark_rectangle that draws a rectangle using darker forground color.

M	libwnck/pager.c

commit e2af99bf1cc11c166b4466f78f9a187762ec4ece
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   Sat Jul 20 18:52:46 2013 +0200

    WnckPager: some code cleanup

M	libwnck/pager.c

commit 78cedf66a1d3dab3a9e8d8a6822e42f388dd9205
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   Sat Jul 20 18:52:35 2013 +0200

    WnckPager: use GtkStypeContext do draw the window, avoid deprecated code

M	libwnck/pager.c

commit e43fcfd1b967bb10d45fd6a8dbc20470b4277cbb
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   Sat Jul 20 16:52:05 2013 +0200

    WnckSelector: remove unneeded priv parameters initialization to 0

M	libwnck/selector.c

commit d2164b82ff4af8f34cbc6c900c9ca547fb32e7ea
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   Sat Jul 20 16:49:47 2013 +0200

    WnckPager: remove unneeded priv parameters initialization to 0

M	libwnck/pager.c

commit 4fdd986e4a6aa6de64232a237a5c5b7c10e47d7e
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   Sat Jul 20 16:47:12 2013 +0200

    WnckClassGroup: remove unneeded priv parameters initialization to 0

M	libwnck/class-group.c

commit e815d4f8bb5282450eee28d2d419c89e2f7a4ea6
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   Sat Jul 20 16:46:28 2013 +0200

    WnckApplication: remove unneeded priv parameters initialization to 0

M	libwnck/application.c

commit 8d9fc7cd189e77d57588388cf2db994e2b829fa8
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   Sat Jul 20 16:45:32 2013 +0200

    WnckWorkspace: remove unneeded priv parameters initialization to 0

M	libwnck/workspace.c

commit f0b975f3a33c60c3704d64627ce9e6726c6c370e
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   Sat Jul 20 16:44:39 2013 +0200

    WnckScreen: remove unneeded priv parameters initialization to 0

M	libwnck/screen.c

commit aaff32bf5ea21e74e0dd596436c799c5e1c585b6
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   Sat Jul 20 16:43:27 2013 +0200

    WnckWindow: remove unneeded priv parameters initialization to 0

M	libwnck/window.c

commit 22eb59b4558041434968509f5c96d8c1c0073c9b
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   Sat Jul 20 16:40:38 2013 +0200

    libwnck: remove dependency on glib-genmarshal, use generic marshaller

M	configure.ac
M	libwnck/Makefile.am
M	libwnck/application.c
M	libwnck/class-group.c
M	libwnck/screen.c
M	libwnck/window.c
D	libwnck/wnck-marshal.list
M	libwnck/workspace.c

commit 5db5b6be8b26800687350c4dc17045280e20aeb0
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   Sat Jul 20 01:17:15 2013 +0200

    WnckTaskList: correctly set requisition parameters for Vertical Mode

M	libwnck/tasklist.c

commit f78bebd42ab6484ccb80aa8304803ab2d68ed8c2
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   Sat Jul 20 01:17:03 2013 +0200

    TestTaskList: add option to draw the test in vertical mode

M	libwnck/test-tasklist.c

commit e00bc081eea39e27d8327ab914c788ebab9bd445
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   Sat Jul 20 00:44:57 2013 +0200

    WnckTask: no need to initialize priv values to NULL, FALSE or 0

M	libwnck/tasklist.c

commit 0e0156bb01d7ebca71bb20ee7b6015e12b026bb9
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   Sat Jul 20 00:38:04 2013 +0200

    WnckTasklist: no need to initialize priv values to FALSE, NULL or 0

M	libwnck/tasklist.c

commit 39cb86fe041ad24daa0367a31e9e7f4f876fc521
Author: Josselin Mouette <joss@debian.org>
Date:   Sat Jul 20 00:19:40 2013 +0200

    WnckTaskList: Add API to define task list orientation
    
    This allows to build vertical task lists.
    The patch comes has been originally made by Jean-Luc Porquet while
    Josselin Mouette has been included it in debian (http://is.gd/nDwsfY)
    
    The patch has been cleaned to make the indentation to match the
    libwnck rules, and properly commented.

M	libwnck/tasklist.c
M	libwnck/tasklist.h

commit e06622f162813e82fc0363ba2ca2f52e2bd56d21
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   Fri Jul 19 03:05:03 2013 +0200

    Selector: get rid of deprecated code

M	libwnck/selector.c

commit 3c403ebe9bf250e5deba86e435929bedf107e417
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   Fri Jul 19 03:04:50 2013 +0200

    TaskList: get rid of deprecated code

M	libwnck/tasklist.c

commit 7b915c1a81161eb90d79bcd1aaa3b2b1c45e06df
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   Fri Jul 19 03:04:28 2013 +0200

    TestTaskList: enable middle-click for closing

M	libwnck/test-tasklist.c

commit b1a5dbaf5bf3e0bbf021e53c8585e54fd7f753ea
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Jul 18 17:02:39 2013 +0200

    Add option to close windows with mouse middle click on button in tasklist
    
    From http://git.mate-desktop.org/libmatewnck/commit/?id=6d3058d
    
    https://bugzilla.gnome.org/show_bug.cgi?id=704472

M	libwnck/tasklist.c
M	libwnck/tasklist.h

commit 9d6d14da276683ac984a89a165171314fa2dc53a
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   Thu Jun 20 13:31:54 2013 +0200

    ClassGroup: fix class signal signature

M	libwnck/class-group.h

commit 9e0b7ab4636dd64f192ab5e4b42345de419d7e74
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:   Sat May 18 22:06:04 2013 +0400

    Updated Russian translation

M	po/ru.po

commit fbce78227c6ffca9c1c98bda26e8b9a3e9271caa
Author: Andika Triwidada <andika@gmail.com>
Date:   Wed Apr 3 09:45:43 2013 +0700

    Updated Indonesian translation

M	po/id.po

commit 603414f748063d4c4aaaa04095fb892cbfc6f07b
Author: Krishnababu Krothapalli <kkrothap@redhat.com>
Date:   Mon Mar 25 16:11:46 2013 +0530

    Updated Telugu Translations

M	po/te.po

commit aa997c34d6b4e4334687335083ad3b4f0b7f32d8
Author: Shankar Prasad <svenkate@redhat.com>
Date:   Mon Mar 25 12:29:32 2013 +0530

    Updated kn translations

M	po/kn.po

commit 18f7b11b7a8a1e806fe25ab8291d495d5c9a5cf0
Author: Shantha kumar <shkumar@redhat.com>
Date:   Mon Mar 25 12:17:24 2013 +0530

    Tamil Translations Updated

M	po/ta.po

commit 998305978983ad6e3436deb4147f8b035d03f337
Author: Ani Peter <apeter@redhat.com>
Date:   Mon Mar 25 10:45:23 2013 +0530

    Completed  for Malayalam

M	po/ml.po

commit 643a26eddadb5a25c2bef9ea20559eb35a88e0ea
Author: ManojKumar Giri <mgiri@redhat.com>
Date:   Fri Mar 22 19:11:05 2013 +0530

    Updated Odia Language along with FUEL implementation

M	po/or.po

commit ba60ba15c27eb4d002ac6c079110fabfe96ec686
Author: Sweta Kothari <swkothar@redhat.com>
Date:   Fri Mar 22 14:38:53 2013 +0530

    Updated gujarati file

M	po/gu.po

commit d43912c5940b1bb7244e424536d3cd14a4cc8ba3
Author: Rajesh Ranjan <rranjan@redhat.com>
Date:   Fri Mar 22 14:37:23 2013 +0530

    hindi translation

M	po/hi.po

commit 89b5848a02602afd451c7756f9b763aa003f3e73
Author: Sandeep Sheshrao Shedmake <sshedmak@redhat.com>
Date:   Wed Mar 20 06:48:53 2013 +0530

    Updated Marathi Translations

M	po/mr.po

commit 634817751523c190a22ae5d3f560131ce5e2e647
Author: Joe Hansen <joedalton2@yahoo.dk>
Date:   Sun Mar 17 16:16:54 2013 +0100

    Updated Danish translation

M	po/da.po

commit 6ac98188e36fcb081d6feb27aa0377007fa28522
Author: Nilamdyuti Goswami <ngoswami@redhat.com>
Date:   Fri Mar 15 20:38:57 2013 +0530

    Assamese translation updated

M	po/as.po

commit d2862d48b5ac7f3b03b63ec238d261af46510c0a
Author: Balázs Úr <urbalazs@src.gnome.org>
Date:   Fri Mar 15 12:37:43 2013 +0100

    Updated Hungarian translation

M	po/hu.po

commit 7b268eee309bd807c8597dcaf8ee50933f49cd28
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:   Wed Mar 13 19:50:16 2013 +0700

    Updated Thai translation

M	po/th.po

commit 04ce1882c08b0f1ab1a31aff49841c65e3b6861f
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Thu Mar 7 21:42:25 2013 +0100

    Updated Slovenian translation

M	po/sl.po

commit d289ba378a1bd1b9424ac9f9163d154f3edd163f
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Sat Mar 2 17:15:05 2013 +0200

    Updated Lithuanian translation

M	po/lt.po

commit 3450989f40c6c9f74d8a473da4e38d47c4326bae
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Wed Feb 20 20:30:57 2013 +0100

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 3ffe03bfd57827ebf9c3cab8afa22bb4132cba6c
Author: Vincent Untz <vuntz@gnome.org>
Date:   Sun Feb 17 18:47:37 2013 +0100

    misc: Remove myself from maintainers
    
    Marco is now the active maintainer :-)

M	MAINTAINERS
M	libwnck.doap

commit b6ae506080ad899727b2f8aafef19f3352805f93
Author: Marek Černocký <marek@manet.cz>
Date:   Sun Feb 17 12:17:46 2013 +0100

    Updated Czech translation

M	po/cs.po

commit 8bff6db44a0c54a62213f0c3f5a0e162b1670517
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Feb 11 14:38:47 2013 +0100

    Updated Spanish translation

M	po/es.po

commit d48baadaf466776d9f81f3d7ec2055ce76f33d09
Author: Enrico Nicoletto <liverig@gmail.com>
Date:   Sun Feb 10 00:19:36 2013 -0200

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 95200ded7a930b6ff40b504d596ebbf9cbd6b9ba
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   Fri Feb 8 18:39:41 2013 +0100

    Release: post-release bump to 3.4.6

M	configure.ac

commit f5eb4d9e4e58673123aa7908873c992392ec53a7
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   Fri Feb 8 18:26:06 2013 +0100

    Release: 3.4.5

M	NEWS

commit 12d4b26b91d062c7c58dc82d24cb5ecbfe345685
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Wed Feb 6 01:53:30 2013 +0100

    Updated Polish translation

M	po/pl.po

commit b403e1605813ba6be79e1fb95a8ae1e5d11c4961
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   Tue Feb 5 22:04:18 2013 +0100

    WnckProp: include Window Role

M	libwnck/wnckprop.c

commit 036dc3ea927fbe8deadf712007a4faa0b3d2b7b6
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   Wed Jan 9 16:27:31 2013 +0100

    TestWnck: added window role tests
    
    https://bugzilla.gnome.org/show_bug.cgi?id=691429

M	libwnck/test-wnck.c

commit 476d0246e6557149eb114b420f69e1c53283adc9
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   Wed Jan 9 16:27:16 2013 +0100

    WnckWindow: add WM_WINDOW_ROLE support
    
    Added both a getter and a signal to be notified of its changes
    
    https://bugzilla.gnome.org/show_bug.cgi?id=691429

M	libwnck/window.c
M	libwnck/window.h

commit 90c5c63392369b04fad3bc07b08c15f80d13ac84
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   Wed Jan 9 15:20:32 2013 +0100

    Window: emit class-changed signal when the instance or group class name changes
    
    https://bugzilla.gnome.org/show_bug.cgi?id=691424

M	libwnck/window.c
M	libwnck/window.h

commit 8c6bfb5d2e0afb4026458707e94ea38cb457d445
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   Wed Jan 9 15:21:14 2013 +0100

    TestWnck: monitor window class changes as well
    
    https://bugzilla.gnome.org/show_bug.cgi?id=691424

M	libwnck/test-wnck.c

commit 405c7da76b56698a8231d8a18e1c37f8a342c0be
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   Tue Feb 5 21:34:45 2013 +0100

    TaskList: use GdkDeviceManager to get pointer position

M	libwnck/tasklist.c

commit 82f4f0985d7ddb41bd3f4ddd1398ce37a88308f9
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   Tue Feb 5 21:30:23 2013 +0100

    Pager: add suport for GDK_SCROLL_SMOOTH

M	libwnck/pager.c

commit 9013d856a291ac3cc0a941af2a84658e3ad6f1a0
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   Tue Feb 5 21:17:50 2013 +0100

    Pager: use GdkDeviceManager and gdk_window_get_device_position

M	libwnck/pager.c

commit 44e66b9e4ca470328942f4a932c2ee9cb97fa3e9
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   Tue Feb 5 21:09:44 2013 +0100

    WnckProp: use GdkDeviceManager and XI2 to handle events
    
    This remove depdecated symbols and fixes wnckprop bug #645285

M	libwnck/wnckprop.c

commit c5f08dc107b608c50e383f257a3cfbc914bcb5ea
Author: Nuno Araujo <nuno.araujo@russo79.com>
Date:   Sat Jan 19 08:16:06 2013 +0100

    Fix the build with automake 1.13
    
    In Automake 1.13, the long-deprecated macro AM_CONFIG_HEADER (deprecated
    since 2002) has been removed in favour of AC_CONFIG_HEADERS.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=692115

M	configure.ac

commit 65ecb5b6a905374671eb06971ea8fb8084834bf8
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   Tue Feb 5 19:27:19 2013 +0100

    Pager & TAsklist: indentation fixes

M	libwnck/pager.c
M	libwnck/tasklist.c

commit 25656d51db50a06dbcfa5d8477aecc2a117e4f1d
Author: B.Prathibha <bosslinux@cdac.in>
Date:   Sun Jan 27 10:28:57 2013 +0530

    Patch to save little power
    
    Use g_timeout_add_seconds instead of g_timeout_add.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=692616

M	libwnck/pager.c
M	libwnck/private.h
M	libwnck/tasklist.c

commit eb5eb3eced521351fedc291324b077acd356855d
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   Tue Feb 5 19:16:53 2013 +0100

    libwnck.doap: adding myself as Maintainer

M	libwnck.doap

commit c440c9ee79fcaaffd4f6afe79f2278332baaf4e4
Author: Shankar Prasad <svenkate@redhat.com>
Date:   Mon Dec 10 15:57:40 2012 +0530

    Updated Kannada Translations

M	po/kn.po

commit 3fa29905a2813a2c31fefb47622efe2a4cbdaaec
Author: ManojKumar Giri <mgiri@redhat.com>
Date:   Mon Dec 3 16:35:53 2012 +0530

    Updated Odia Translation with FUEL implementation.

M	po/or.po

commit 47eb736960bab2f848b6815e7b8ecb24daebbb4c
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Nov 12 18:47:55 2012 +0100

    release: post-release bump to 3.4.5

M	configure.ac

commit c7c4d1632539c2bc671a8ffefd872191895fe080
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Nov 12 18:47:00 2012 +0100

    release: 3.4.4

M	NEWS

commit 73b41f5ef79ae6326110109a4f0e43d3cb4b508d
Author: Khoem Sokhem <khoemsokhem@khmeros.info>
Date:   Wed Oct 3 17:26:28 2012 +0200

    [l10n] Added Khmer translation

M	po/LINGUAS
A	po/km.po

commit 4a12508b4fc6d3f686570b8a18f8d97b6beb2bce
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Sat Sep 22 18:49:55 2012 +0300

    Updated Latvian translation

M	po/lv.po

commit 5f628c67083f7fcd6e7c81c62f4e8e2732d07c33
Author: Rajesh Ranjan <rranjan@redhat.com>
Date:   Fri Sep 21 11:47:58 2012 +0530

    hindi update by Chandan Kumar

M	po/hi.po

commit c39ee7e9b974ef1dd332b1a3f3688113e54e7dd6
Author: Runa Bhattacharjee <runab@redhat.com>
Date:   Fri Sep 21 10:56:46 2012 +0530

    Uploaded Bengali India Translations

M	po/bn_IN.po

commit c3aea18b381054d6c68d113a9b41495a5310f189
Author: Ani Peter <apeter@redhat.com>
Date:   Sun Sep 16 20:48:33 2012 +0530

    Updated Malayalam file

M	po/ml.po

commit b8681e7bd199a6f46b69c9cac8025b255c370cec
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue Sep 4 19:17:02 2012 +0200

    Updated Polish translation

M	po/pl.po

commit 6b2db809bd5bb5d4e23b20d003f6eb3fc333052b
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Sep 4 14:09:54 2012 +0200

    release: post-release bump to 3.4.4

M	configure.ac

commit b78b85e260a16f5d6bae89d5f723aceb7e67982b
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Sep 4 14:09:03 2012 +0200

    release: 3.4.3

M	NEWS
M	configure.ac

commit a670bcfe9f06389f0364cfd883cfdaec34cfb1bc
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Sep 4 14:00:07 2012 +0200

    core: Fix a warning when building introspection

M	libwnck/util.c

commit d561e0a73b4e182071d1d94e553959233a171945
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:   Tue Aug 28 00:37:01 2012 +0530

    Implemented FUEL entries to Assamese translation

M	po/as.po

commit cbc1c00f27777400e80582c1264e3061786e6845
Author: Javier Jardón <jjardon@gnome.org>
Date:   Mon Aug 27 23:56:50 2012 +0800

    Add deprecation attributes to deprecated functions
    
    This is using the newly introduce G_DEPRECATED macros
    from GLib. Traditional deprecation guards are still in
    place.
    
    Fix https://bugzilla.gnome.org/show_bug.cgi?id=671772

M	configure.ac
M	libwnck/class-group.h
M	libwnck/screen.h

commit 66760265da91255cc61bbfef12405477f773b8c3
Author: Sandeep Sheshrao Shedmake <sshedmak@redhat.com>
Date:   Thu Aug 16 14:08:45 2012 +0530

    Updated Marathi Translations

M	po/mr.po

commit 17258fb93755ade0d74fc099ccbc532025ff3e5f
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Wed Jul 25 16:43:27 2012 +0200

    Updated Norwegian bokmål translation

M	po/nb.po

commit 072aa8f57d18f7bbd954b8e97f92e8e81242dd2d
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:   Thu Jul 12 17:41:07 2012 +0530

    Assamese translation reviewed

M	po/as.po

commit 7b2a2f4ea2b11ffa829641d91cfd16bee4db2b91
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:   Thu Jul 12 17:37:35 2012 +0530

    Assamese translation reviewed

M	po/as.po

commit c35185eb7cc64bbaf3cc171d441dbc790020de78
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:   Tue Jun 26 22:21:50 2012 +0300

    Updated Greek translation

M	po/el.po

commit 53bdc04bee158d500bdc78fc036ddf8e1e78a8fd
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed May 30 14:19:34 2012 +0200

    build: Require gtk+-3.0 >= 3.4.0
    
    The fixes related to mouse wheel scrolling require GTK+ 3.4.0. We could
    use some ifdef to still build with earlier versions of GTK+, but people
    upgrading GTK+ without rebuilding libwnck would see the bugs again. So
    it's simpler to just require a recent version of GTK+.

M	configure.ac

commit 901dac3b0e4ec094bd16e7c9f44bc75eb0720b83
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon May 14 17:52:51 2012 +0200

    release: post-release bump to 3.4.3

M	configure.ac

commit e886644305e07d92e378b56db837dd1e303b8794
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon May 14 17:52:36 2012 +0200

    release: 3.4.2

M	NEWS
M	configure.ac

commit 38398dcfdff701e7820f5515f57db558624a2c44
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon May 14 17:42:32 2012 +0200

    tasklist: Really fix mouse wheel scrolling with new GTK+
    
    Because the tasklist itself has no window, I don't think we can get
    scroll events for it. So we just deal with scroll events on task buttons
    instead.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=673833

M	libwnck/tasklist.c

commit de74b83bfdb78af536e71c58fc297a1eb3b7efe0
Author: Christian Persch <chpe@gnome.org>
Date:   Fri May 11 21:47:54 2012 +0200

    pager, selector, tasklist: Fix mouse wheel scrolling with new GTK+
    
    Add the GDK_SCROLL_MASK to the window events, and add dummy handling of
    GDK_SCROLL_SMOOTH events so as to not crash if they occcur.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=673833

M	libwnck/pager.c
M	libwnck/selector.c
M	libwnck/tasklist.c

commit 21538b70a9d493d33021b806f830091591f66815
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon May 14 16:32:25 2012 +0200

    build: Add --enable-tools to enable/disable installation of tools
    
    This helps make libwnck 2.x and 3.x be parallel-installable since they
    conflict for wnckprop and wnck-urgency-monitor.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=671558

M	configure.ac
M	libwnck/Makefile.am

commit 59b2347b35df875ea2aa2653a30d3b07a36e8519
Author: Mitsuya Shibata <mty.shibata@gmail.com>
Date:   Sun Apr 22 11:43:17 2012 +0900

    [l10n] Update Japanese translation

M	po/ja.po

commit b25832f9871bcad30bfef005a9079c8559033f5f
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Tue Apr 10 21:11:39 2012 +0200

    [l10n]Updated Catalan (Valencian) translation

M	po/ca@valencia.po

commit fcc7c95e934b2fe12dd4979db2ed17d12068250e
Author: Jordi Serratosa <jordis@softcatala.cat>
Date:   Tue Apr 10 21:11:37 2012 +0200

    [l10n] Fixes on Catalan translation

M	po/ca.po

commit a3cbccaf526b8312de12f7c2a0e649629a4576ba
Author: Sweta Kothari <swkothar@redhat.com>
Date:   Tue Mar 27 11:36:13 2012 +0530

    Updated Gujarati Translations

M	po/gu.po

commit 7cf33962e744673f7dfe6c9326570a2b220cd490
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Mar 26 10:41:28 2012 +0200

    release: post-release bump to 3.4.1

M	configure.ac

commit e51251740a37bbddeebb53cdeecc88fda662fb16
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Mar 26 10:41:17 2012 +0200

    release: 3.4.0

M	NEWS
M	configure.ac

commit 5e55edb156b8fedb82f55609b33727df95aaf3e7
Author: Reşat SABIQ <tilde.birlik@gmail.com>
Date:   Mon Mar 26 02:32:27 2012 -0500

    Updated Crimean Tatar (Crimean Turkish) translation

M	po/crh.po

commit 9d80b98703da8b978a4c5abb219a469eec078f8f
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:   Mon Mar 12 13:56:04 2012 +0530

    Assamese translation completed

M	po/as.po

commit 4626e0290a918900da9e29b730c672950daa52db
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:   Sat Mar 10 08:11:19 2012 +0100

    Updated Esperanto translation

M	po/eo.po

commit 7938c68228c813da335b20c942fe5dcfffffc39e
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Sat Mar 3 14:03:40 2012 +0100

    Updated Hungarian translation

M	po/hu.po

commit 7f211b1252cd356f26725dfb033c0e5cd6b72423
Author: Mattias Põldaru <mahfiaz@gmail.com>
Date:   Thu Mar 1 18:07:18 2012 +0200

    [l10n] Updated Estonian translation

M	po/et.po

commit 6e5daec328c1e57db9430974cdf4003d5f54c10b
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 22 15:10:33 2012 +0100

    build: Generate ChangeLog on make dist

M	Makefile.am

commit e5d0c0f8f1af9729428a4e6c2a4d634088b199ff
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 22 15:03:00 2012 +0100

    build: Update git.mk and ignore generated tarballs

M	Makefile.am
M	git.mk

commit 2d7cd847d32a959a91ae5c574c166f6faacb4543
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Feb 7 08:34:15 2012 +0100

    release: post-release bump to 3.3.90

M	configure.ac

commit daa15c235d3bf4db6d7550f72f9bc6fd0b9522da
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Feb 7 08:34:06 2012 +0100

    release: 3.3.5

M	NEWS
M	configure.ac

commit 17468162b14304977fb47ac37511dd1f747d9374
Author: Wouter Bolsterlee <wbolster@gnome.org>
Date:   Sat Feb 4 15:23:28 2012 +0100

    Updated Dutch translation

M	po/nl.po

commit 24e813dedbb68bddf2c3e314ba17816d14f1a0b5
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sat Feb 4 12:39:34 2012 +0100

    Updated Norwegian bokmål translation

M	po/nb.po

commit 22da095abd8c28741f3ef64aebc1facf0263d95e
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Feb 2 09:15:51 2012 +0100

    tasklist: Don't ask for menus to be pushed in
    
    That is really only useful for combo boxes.
    
    (based on similar commit in gnome-panel)

M	libwnck/tasklist.c

commit 375712fb492bd76495e02d1ade6c7a651b70fdbc
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Jan 31 15:24:38 2012 +0100

    core: Fix build for people without xres

M	libwnck/util.c

commit 2db365cb6397edb359072c8acbc9dd642909460f
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Jan 30 15:18:51 2012 +0100

    core: Also reset the XSelectInput for WnckScreen and WnckApplication
    
    We don't want to break apps that have set some specific mask with
    XSelectInput.

M	libwnck/application.c
M	libwnck/screen.c
M	libwnck/window.c

commit 46f87fa639a108c2ecd5ed711a530716545b2065
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Jan 30 15:36:24 2012 +0100

    core: Fix order of shutting down operations in wnck_shutdown()
    
    Due to the way objects are referenced and unreferenced, we also need to
    be extra careful in the order we shut things down in wnck_shutdown().

M	libwnck/util.c

commit 500561512c2b073072206aa70e28590fb04e65bb
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Jan 30 14:58:38 2012 +0100

    doc: Finish wnck_shutdown()-related docs, with note about introspection
    
    The introspection note is quite important, as the way memory management
    works in libwnck is not completely compatible with introspection. And
    wnck_shutdown() exhibits this.
    
    See https://bugzilla.gnome.org/show_bug.cgi?id=642692#c11 for
    discussion.

M	doc/libwnck-docs.sgml
M	doc/libwnck-sections.txt
M	doc/tmpl/misc.sgml
M	libwnck/util.c

commit c25b6ab7c6f24f7d0d20be1c1e0a70a54b5433ee
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Jan 30 14:25:50 2012 +0100

    core: Also shutdown everything resource-related

M	libwnck/util.c
M	libwnck/util.h

commit 3f7b269ffc7bafda5f360691d2fff4c2aafe1d85
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Jan 30 14:24:44 2012 +0100

    core: Add _wnck_window_shutdown_all()
    
    We also need to destroy the hashtable of WnckWindow on shutdown.

M	libwnck/private.h
M	libwnck/util.c
M	libwnck/window.c

commit bb27586c2cb81bb650d2a2d8a183ac89fccf5960
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Jan 30 14:22:33 2012 +0100

    core: Rely on finalize() instead of manual shutdown() functions
    
    For WnckScreen and WnckWindow, there was a manual shutdown function
    called for each object. However, when we shut down, we know that the
    object will have no reference left and will get finalized. So we can
    simply rely on the finalize() functions.

M	libwnck/private.h
M	libwnck/screen.c
M	libwnck/window.c

commit 0dde8be271f19cfc2368aaf59f25a48f5ee51f08
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Jan 30 14:18:22 2012 +0100

    core: Use a destroy notify in hash tables to unref when removing item
    
    We were manually unreferencing objects from hash tables when remove
    them, instead of using an automatic, and therefore safer, mechanism.

M	libwnck/application.c
M	libwnck/class-group.c
M	libwnck/window.c

commit 0e17e7b82ff81d678dee17ad44f472672fb41327
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Jan 30 14:10:35 2012 +0100

    tests: Add test-shutdown tool
    
    It's just a small binary to test wnck_shutdown().

M	libwnck/Makefile.am
A	libwnck/test-shutdown.c

commit 040a3b358840a8ef32f9f64792bb41a5327cd81c
Author: Martin Pitt <martin.pitt@ubuntu.com>
Date:   Wed Jan 18 16:51:13 2012 +0100

    core: Add wnck_shutdown()
    
    Add wnck_shutdown() method that stops listening to events and tear down all
    resources from libwnck. This should be done if you are not going to need the
    state change notifications for an extended period of time, to avoid wakeups
    with every key and focus event. After this all Wnck object references you might
    still hold are invalid.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=642692

M	libwnck/application.c
M	libwnck/class-group.c
M	libwnck/private.h
M	libwnck/screen.c
M	libwnck/util.c
M	libwnck/util.h
M	libwnck/window.c
M	libwnck/xutils.c
M	libwnck/xutils.h

commit 085a93c7fd1f235def445823b06ffef5b6343810
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sat Jan 28 17:26:44 2012 +0100

    Updated Norwegian bokmål translation

M	po/nb.po

commit bb9bd3675f72e4d81295e98eb19391d61dd50673
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Dec 20 09:45:37 2011 +0100

    build: Create xz tarballs

M	configure.ac

commit 685939a0677fe530bf1dc8668557f17ea68eafc5
Author: OKANO Takayoshi <kano@na.rim.or.jp>
Date:   Thu Oct 20 00:35:26 2011 +0900

    Updated Japanese translation

M	po/ja.po

commit 2f0f8e359920ada57eaee38689e819494d33c71a
Author: Vincent Untz <vuntz@gnome.org>
Date:   Sun Oct 16 15:24:54 2011 +0200

    release: post-release bump to 3.2.2

M	configure.ac

commit b9fd1b7d3a2abfc2dfb138ef9a9c820ab17a99d3
Author: Vincent Untz <vuntz@gnome.org>
Date:   Sun Oct 16 15:24:47 2011 +0200

    release: 3.2.1

M	NEWS

commit 4e8464bd288f2989e5d8b777e8c12830c3d50909
Author: krishnababu k <kkrothap@redhat.ocm>
Date:   Mon Oct 10 17:06:12 2011 +0530

    Updated Telugu Translations

M	po/te.po

commit 92c921576feb88a4930f7f7f975a89a07fa29f24
Author: Muhammet Kara <muhammet.k@gmail.com>
Date:   Mon Oct 10 10:25:05 2011 +0300

    Updated Turkish translation

M	po/tr.po

commit 13314b725e5c8f876a7d41aff127712a277c5642
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:   Sun Oct 2 12:04:55 2011 +1100

    Updated Vietnamese translation

M	po/vi.po

commit 9c701f35dc97a4fdd840e955f26d60a8f3b2d5a2
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:   Sun Oct 2 12:03:50 2011 +1100

    po/vi: import from Damned Lies

M	po/vi.po

commit a26411de1b57715bfe5a49ac2b1c7c63d95d4791
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Wed Sep 28 20:07:17 2011 +0200

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit d729813342aa56be90e0fa101733bde50511c8eb
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Wed Sep 28 15:42:43 2011 +0300

    Uploaded Ukranian

M	po/uk.po

commit 3cedd4a71435938184e034b4aeff530b8659e547
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Mon Sep 26 14:18:38 2011 +0200

    [l10n]Updated Catalan (Valencian) translation

M	po/ca@valencia.po

commit ac05c861d10f5008b2f46b211caadb98b115afcb
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Sep 26 11:09:02 2011 +0200

    release: post-release bump to 3.2.1

M	configure.ac

commit 1e0624be97a25c6f27697a3ac5a48a061baf7177
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Sep 26 11:08:35 2011 +0200

    release: 3.2.0

M	NEWS

commit 3f8e8477421aa34169741d5ded82090e4c341b6e
Author: Tommi Vainikainen <thv@iki.fi>
Date:   Mon Sep 26 10:02:40 2011 +0300

    Updated Finnish translation

M	po/fi.po

commit 5203b2998ebece556dcb5fcf1d58e24e0e724cf0
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Sun Sep 25 13:23:25 2011 +0200

    Updated Basque language

M	po/eu.po

commit e3e985bd3ccf0e48d5a60eeb96b24e7ae147e197
Author: Marek Černocký <marek@manet.cz>
Date:   Sun Sep 25 12:25:12 2011 +0200

    Updated Czech translation

M	po/cs.po

commit f42b966b3185db319fb283c413af5b2198e8fda5
Author: Aputsiaq Janussen <aj@isit.gl>
Date:   Sat Sep 24 17:51:42 2011 +0200

    Updated Danish translation

M	po/da.po

commit e1d15e1e2bf95dab3082022d5128832eff56342d
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Wed Sep 21 03:35:57 2011 +0200

    Updated Hungarian translation

M	po/hu.po

commit 125dcb8e127aff9b36b0b5c41d08e38c26cf7a62
Author: Antonio Fernandes C. Neto <fernandesn@gnome.org>
Date:   Tue Sep 20 12:09:28 2011 -0300

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 2ae75d198ffd27c18fe7d3053a1ee4f4bba6365b
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Sep 19 19:39:27 2011 +0200

    release: post-release bump to 3.2.0

M	configure.ac

commit 6a3e466ff5dcc431b6150ae483f79a79b0278fc2
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Sep 19 19:39:17 2011 +0200

    release: 3.1.92

M	NEWS
M	configure.ac

commit 338b82f8cadef3165c5d3648f9930652aec27a17
Author: Joan Duran <jodufi@gmail.com>
Date:   Mon Sep 19 00:27:28 2011 +0200

    [l10n]Updated Catalan translation

M	po/ca.po

commit 1c6fe835dd68abe5043b64d6d718865a8ef86f22
Author: A S Alam <aalam@users.sf.net>
Date:   Sun Sep 18 00:45:00 2011 +0530

    Updated Punjabi Translation

M	po/pa.po

commit cfc12c693df244f0163287f7ad76b615b332da52
Author: Jiro Matsuzawa <jmatsuzawa@src.gnome.org>
Date:   Sat Sep 17 12:48:12 2011 +0900

    Updated Japanese translation

M	po/ja.po

commit 8a6415775ac3b8f24d536a4206641c8e6ea7cde8
Author: Yinghua Wang <wantinghard@gmail.com>
Date:   Tue Sep 13 12:38:54 2011 +0800

    update Simplified Chinese (zh_CN) translation

M	po/zh_CN.po

commit d9e511e7d26809acffefd2c287c63e432e864c35
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:   Tue Sep 13 05:33:44 2011 +0530

    updated Tamil translation

M	po/ta.po

commit 91bde7b5d4b7485c15b890abab84d192eaa7b317
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Tue Sep 13 09:00:12 2011 +0900

    Updated Korean translation

M	po/ko.po

commit d429c634e937585d888f46cde158e63f32741091
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Sun Sep 11 21:41:33 2011 +0200

    [l10n] Updated Italian translation

M	po/it.po

commit e40d75d0f5d7c94ecf47bf02366fec23978a2614
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:   Sun Sep 11 19:47:47 2011 +0300

    Updated Latvian translation.

M	po/lv.po

commit 4167b14570ac761535a7d51ac662c4bb11389a86
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   Sat Sep 10 19:27:50 2011 +0100

    Updated Portuguese translation

M	po/pt.po

commit 99d8aad0b9417a4a9e14f1bbfab28b0f69886231
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:   Fri Sep 9 13:10:16 2011 +0100

    Updated British English translation

M	po/en_GB.po

commit f15a3bef4e08be9a38bb9c23fefc198a7568d81f
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Wed Sep 7 20:22:42 2011 +0200

    Updated Slovenian translation

M	po/sl.po

commit 71aaefccc7edc1054397a3d619e774fb0278feef
Author: Arash Mousavi <amousavi@src.gnome.org>
Date:   Tue Sep 6 23:52:05 2011 +0430

    Updated Persian translation

M	po/fa.po

commit 10dbb84389fa39b0f8277b0e402153e9c079008f
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Tue Sep 6 19:46:43 2011 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 7523a4a07706d001e93368635bc186b55ee91a7b
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:   Sun Sep 4 19:14:04 2011 +0300

    Updated Belarusian translation.

M	po/be.po

commit 21f6b39fdab61026dd7a604aa80a615bb11b4985
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:   Sat Sep 3 11:19:14 2011 +0400

    Updated Russian translation

M	po/ru.po

commit da3b17e6f5ba47731c23b2f7efdf71a1f144d889
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Sat Sep 3 00:16:06 2011 +0300

    Updated Lithuanian translation

M	po/lt.po

commit 57740e957a6ee1d8daa09f6512ee4f0de8009f00
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:   Fri Sep 2 15:33:41 2011 +0300

    Updated Belarusian translation.

M	po/be.po

commit f95ef35b214c247e08d699f0a3059368fd020c64
Author: Colin Walters <walters@verbum.org>
Date:   Thu Sep 1 16:38:29 2011 -0400

    Fix srcdir != builddir build

M	libwnck/Makefile.am

commit 642cb6b8fab72dd06719b2b121fb33e137edf0e0
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Aug 31 10:43:56 2011 +0200

    release: post-release bump to 3.1.91

M	configure.ac

commit 4d1c25a4b4d3e6860c41c67e3d45323c5c5cc2c9
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Aug 31 10:43:45 2011 +0200

    release: 3.1.90

M	NEWS

commit 65cc46e43eb683a6dfee1e9b7b4285dd05cd870b
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Aug 31 10:37:28 2011 +0200

    build: link against libm

M	configure.ac
M	libwnck/Makefile.am

commit 20f853dd741583200ff26ab604a31f91bf7d797b
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Sun Aug 28 15:05:37 2011 +0200

    [l10n] Updated German translation

M	po/de.po

commit 11daacff4a00c6cf15576701dc69412cfe427c3e
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Thu Aug 25 09:38:37 2011 +0200

    Updated Norwegian bokmål translation

M	po/nb.po

commit de1c6b63ce0c9de3cc35ee72c106ebb2114be581
Author: Daniel Nylander <po@danielnylander.se>
Date:   Wed Aug 24 08:42:46 2011 +0200

    Updated Swedish translation

M	po/sv.po

commit 81426806bf5c98c1e4afb8245228e54803134bb0
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Thu Aug 18 23:52:04 2011 +0300

    Updated Hebrew translation.

M	po/he.po

commit b7e99a19c94fccb23924c7d20dfbba6629392fb9
Author: Andika Triwidada <andika@gmail.com>
Date:   Thu Aug 18 11:37:53 2011 +0700

    Updated Indonesian translation

M	po/id.po

commit bf7c5cd147f79cb745148f8226b1cf9f7ef69f36
Author: Priit Laes <plaes@plaes.org>
Date:   Tue Aug 16 20:42:51 2011 +0300

    Added missing introspection annotations

M	libwnck/window.c

commit 40f55675b917fd966eace5a961cf279672c3734e
Author: Fran Dieguez <fran@openhost.es>
Date:   Tue Aug 16 19:13:48 2011 +0200

    Updated Galician translations

M	po/gl.po

commit 34e6e594d51ce1c9f3a83ef59307f3da9bc7c124
Author: Claude Paroz <claude@2xlibre.net>
Date:   Mon Aug 15 20:27:07 2011 +0200

    Updated French translation

M	po/fr.po

commit 714faee4bb50b2cfec900ee372173a34cff29b30
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Aug 14 15:28:38 2011 +0200

    Updated Polish translation

M	po/pl.po

commit 3987fc3924960824eda4887d37094bb273035fe8
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Sat Aug 13 17:39:09 2011 +0200

    Updated Spanish translation

M	po/es.po

commit 01a86390f536068257dce52a1206fee02c363023
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:   Sat Aug 13 16:15:17 2011 +0700

    Updated Thai translation.

M	po/th.po

commit 2aeb728e9369703968eb8077805568706405992c
Author: Alexander Shopov <ash@kambanaria.org>
Date:   Sat Aug 13 06:54:24 2011 +0300

    Updated Bulgarian translation

M	po/bg.po

commit 661344234f1bf6a42715a8b8b1b5b163ecaadf45
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Aug 12 13:15:11 2011 +0200

    release: post-release bump to 3.1.90

M	configure.ac

commit ef9739defc311f948b998431758267b2dcc2bab9
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Aug 12 13:15:03 2011 +0200

    release: 3.1.5

M	NEWS
M	configure.ac

commit 9b59e129c864e18d62e161e7b3dd563857c8dce9
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Aug 12 13:12:59 2011 +0200

    doc: Include new API

M	doc/libwnck-sections.txt
M	doc/tmpl/class-group.sgml
M	doc/tmpl/window.sgml

commit 7b6455ce1078e7ced9619cfc06f3f401241ad5b2
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Aug 12 13:04:16 2011 +0200

    tasklist: Do not add same signal handler twice for drag_data_get
    
    The duplicate was added by mistake, while allowing to reorder task
    buttons.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=652225

M	libwnck/tasklist.c

commit ead98e0855145ddc13c6ed8505a94fec19751390
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Aug 12 12:57:06 2011 +0200

    wnckprop: Stop using deprecated gdk_cursor_unref()

M	libwnck/wnckprop.c

commit eb9b76154264516c3bb632a90de8de52c5dc574a
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Aug 12 12:53:54 2011 +0200

    widgets: Stop using deprecated gtk_widget_modify_font()

M	libwnck/util.c

commit 629aecd83a75281657176a2eae2d627c21a50961
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Aug 12 12:51:28 2011 +0200

    tasklist: Remove disabling of libgnomeui sounds
    
    Since we moved to GTK+ 3, this is not useful anymore.

M	libwnck/tasklist.c

commit 4c0a97437bc7e7a7c875809b82c8d31ca39b54fd
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Aug 12 12:50:43 2011 +0200

    tasklist: Stop using deprecated gtk_hbox_new()

M	libwnck/tasklist.c

commit de8fb576b2db973e0adf98f412a5667a2c4b2d09
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Aug 12 12:46:49 2011 +0200

    core, wnckprop: Use "ID" instead of "resource class" in WnckClassGroup
    
    To avoid any confusion for people not knowing what the WM_CLASS is, we
    talk about "identifier" instead of "resource class".
    
    This means we deprecate wnck_class_group_get_res_class();
    wnck_class_group_get_id() should be used instead.

M	libwnck/class-group.c
M	libwnck/class-group.h
M	libwnck/tasklist.c
M	libwnck/window.c
M	libwnck/wnckprop.c

commit 65ecde53d993970600b42f0b183b9485dd181099
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Aug 12 12:24:38 2011 +0200

    wnckprop: Tweak print of class instance name
    
    Check that it's not empty, and add translator comment.

M	libwnck/wnckprop.c

commit 25568156a88a0657058d0bcc8ec2f0ce7786abd7
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Aug 12 12:24:24 2011 +0200

    core: Improve API docs for new API

M	libwnck/window.c

commit 065fb8394e5437a741da50bb22558babcf5ce9c1
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   Sat Jul 30 03:27:17 2011 +0200

    core: Add API to get WM_CLASS group name & instance name of a WnckWindow
    
    The old private getters for getting a window WM_CLASS name or WM_CLASS
    are now public as wnck_window_get_class_group_name() and
    wnck_window_get_class_instance_name().
    
    It's important to be able to get the instance name as they could differ
    for special windows or for sub-applications (i.e. chromium web-apps).
    
    Also make wnckprop print out the window class instance.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=168718

M	libwnck/private.h
M	libwnck/screen.c
M	libwnck/tasklist.c
M	libwnck/window.c
M	libwnck/window.h
M	libwnck/wnckprop.c

commit 862a730f68c64ac8659cb45e898fb533b66cfdb9
Author: Marek Černocký <marek@manet.cz>
Date:   Tue Aug 2 01:17:36 2011 +0200

    Updated Czech translation

M	po/cs.po

commit 1eaba2715c8ed0a8c33e3953052e675710d3bcfe
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Jul 22 15:03:01 2011 +0200

    all: Remove unused variables, as found by new gcc

M	libwnck/pager.c
M	libwnck/selector.c
M	libwnck/tasklist.c
M	libwnck/window-action-menu.c
M	libwnck/workspace-accessible.c
M	libwnck/xutils.c

commit efe6a2cc1ce834fd0bd8d40953b328c86e178828
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Jul 22 14:56:12 2011 +0200

    tasklist: Fix tasklist taking some space when there is no window
    
    We were adding a non-empty size hint even when there is no window.

M	libwnck/tasklist.c

commit e4200d706a7c11fc6e2b34fc406feb837d230875
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Jun 14 15:08:55 2011 +0200

    build: Modernize build system a bit
    
    Use the tar-ustar option for AM_INIT_AUTOMAKE for better tarballs.
    Do not use AM_MAINTAINER_MODE as it is not recommended by automake
    developers.
    Stop using GNOME_COMMON_INIT as it is deprecated.
    Use LT_PREREQ & LT_INIT for libtool checks.
    Require intltool 0.40.6 to avoid various bugs.
    Do not use AC_ISC_POSIX, AC_HEADER_STDC as they shouldn't be needed on
    modern systems.
    Drop manual check for additional compiler flags.

M	configure.ac

commit 6aec01569d3ecafbfc38edb91e79808b1a4b1b1a
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon May 23 23:10:58 2011 +0200

    release: post-release bump to 3.0.3

M	configure.ac

commit 2c3fbcb7d16a3913d78bfe073a4ce6d35b768532
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon May 23 23:10:50 2011 +0200

    release: 3.0.2

M	NEWS
M	configure.ac

commit 67cb10479b35abe6c70a057a1dabc71b73080c19
Author: Abduxukur Abdurixit <abdurixit@gmail.com>
Date:   Mon May 2 07:30:12 2011 +0200

    Added UG translation

M	po/ug.po

commit 88fa5f44ada33ffed3c6bf4c6ce73968f44caca0
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Apr 4 23:03:34 2011 +0200

    release: post-release bump to 3.0.1

M	configure.ac

commit b88858af07cfc42960ceaa9a904488fd42127688
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Apr 4 23:03:26 2011 +0200

    release: 3.0.0

M	NEWS

commit edd0e302da7736f78ffde1a42d6b955af8602b0a
Author: Jordi Serratosa <serratosa@gmail.com>
Date:   Mon Apr 4 22:08:11 2011 +0200

    [l10n]Fixes on Catalan translation

M	po/ca.po

commit b8b0337c9e8aab94d1be69c1536111c9f456aa83
Author: Mahyar Moghimi <mahyar.moqimi@gmail.com>
Date:   Mon Apr 4 17:13:21 2011 +0430

    Updating Persian Translation

M	po/fa.po

commit 52149f6ee375dd473424c44709a16212e3f83816
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:   Wed Mar 30 18:22:07 2011 +0200

    Updated Esperanto translation

M	po/eo.po

commit f1a115df33dc676a0939610563f8559ea2414bc7
Author: Abduxukur Abdurixit <abdurixit@gmail.com>
Date:   Sun Mar 27 21:34:44 2011 +0200

    Added UG translation

M	po/ug.po

commit 5a801b8ec6219e33c14d3f568e23082eacafc866
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Mar 22 19:50:12 2011 +0100

    release: post-release bump to 3.0.0

M	configure.ac

commit a1459ab7cbb24a5a3e6eccaf3c0ac5400db1e6b4
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Mar 22 19:50:03 2011 +0100

    release: 2.91.92

M	NEWS
M	configure.ac

commit 8a6b735976089efa15f15cd1ebfbef12a190c880
Author: Sense Hofstede <sense@ubuntu.com>
Date:   Sun Mar 20 21:43:51 2011 +0100

    Added Frisian translation

M	po/LINGUAS
A	po/fy.po

commit 75b924c74d2cebf844e23908ba475f9ec512e54e
Author: Adi Roiban <adi@roiban.ro>
Date:   Mon Mar 14 15:24:23 2011 +0100

    Updated Romanian translation

M	po/ro.po

commit 98be7b176c238bfa3f79045d6f35821458563fe1
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Fri Mar 4 18:48:43 2011 +0100

    configure: Bump GTK+ requirements to 3.0

M	configure.ac

commit 660e719873a9371f4c98a22657f50f93206c7b8c
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Feb 21 23:53:00 2011 +0100

    release: post-release bump to 2.91.91

M	configure.ac

commit 74b10b9008439b4a5c961bbb52766f2bc0a500fd
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Feb 21 23:52:53 2011 +0100

    release: 2.91.90

M	NEWS

commit b693b2860a9a5420fd24f6c3e61bb72801c77028
Author: Abduxukur Abdurixit <abdurixit@gmail.com>
Date:   Sat Feb 19 15:33:15 2011 +0100

    Added UG translation

M	po/ug.po

commit 9699c781e456af93f9f150f07338f333403be47a
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Feb 18 19:52:31 2011 +0100

    core: Push/pop error trap in _wnck_cairo_surface_get_from_pixmap()
    
    We were doing that in its callers, which is not intuitive for the
    callers.

M	libwnck/pager.c
M	libwnck/xutils.c

commit 20816b65fb9596f44beb0998198541ee4af06d57
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Feb 18 19:38:25 2011 +0100

    core: Add Display argument to _wnck_error_trap_push()/pop()

M	libwnck/pager.c
M	libwnck/screen.c
M	libwnck/util.c
M	libwnck/window.c
M	libwnck/xutils.c
M	libwnck/xutils.h

commit 458454795054aea966036adb0e7eac435f2513db
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Feb 18 19:15:08 2011 +0100

    core: Remove usage of gdk_display_get_default() in screen.c

M	libwnck/screen.c

commit c3cd8987ab4067bcc327a09719ecc059cb3edb76
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Feb 18 19:09:13 2011 +0100

    core: Add private _wnck_get_gdk_display() utility API
    
    We don't have to duplicate error messages this way.

M	libwnck/xutils.c
M	libwnck/xutils.h

commit 88b233eef0f398ab1a7a63799e74ca93883fbd46
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Feb 18 18:57:41 2011 +0100

    core: Remove usage of gdk_display_get_default() in text_property_to_utf8

M	libwnck/xutils.c

commit 923f6fb7b25dabbe83d846acea09bb68e021fc1a
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Feb 18 18:11:24 2011 +0100

    doc: Add some high-level documentation
    
    This includes hints as to when to use the library, common pitfalls and
    two simple examples.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=344137

M	doc/Makefile.am
A	doc/example-force-update.c
A	doc/example-lazy-initialization.c
M	doc/libwnck-docs.sgml

commit dae2284998cdf1aba6c921403ec612ed282ea564
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Feb 4 12:01:06 2011 +0100

    build: Add ${ACLOCAL_FLAGS} to ACLOCAL_AMFLAGS
    
    This is used by gnome-autogen.sh, and we need it when aclocal.m4 is
    to be rebuilt by make, to avoid losing some aclocal paths.
    
    Also, don't set ACLOCAL in configure.

M	Makefile.am
M	configure.ac

commit 77827ce14197637a7ac535ef5b3f3477d8a92b6a
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Feb 3 17:48:54 2011 +0100

    core: Fix crash when reading pixmap icons that have no mask

M	libwnck/xutils.c

commit 794c801b9262ccabe2fec260c5b400d835ce128b
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Feb 3 16:40:48 2011 +0100

    selector: Don't implement scrolling with signal handler
    
    We can directly implement the virtual method.

M	libwnck/selector.c

commit a4baa9e78b7bba2491f68411313dba3e6d18dc66
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Feb 3 16:35:43 2011 +0100

    tasklist: Don't implement scrolling with signal handler
    
    We can directly implement the virtual method.

M	libwnck/tasklist.c

commit 8401759647ad4f21c3c86c08ac785e80baf5ddc8
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Feb 3 16:07:43 2011 +0100

    pager: Implement switching workspace on scroll events
    
    This was done in the panel applet before, but it makes sense to do so in
    the widget.

M	libwnck/pager.c

commit 02ec5eb9a9dcc23e1345d2870fabea987bd9e88d
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Feb 3 15:10:28 2011 +0100

    pager: Add _wnck_pager_get_padding() helper
    
    We were doing the same logic multiple times, because the padding depends
    on the shadow type. A small helper makes things more readable.

M	libwnck/pager.c

commit 6e328ad5ed48878ee5993054e5ba6aa44a656893
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Feb 3 14:58:02 2011 +0100

    pager: Do not call gtk_widget_queue_resize() in size_allocate() handler
    
    It's not allowed to do so. However we know when we want to do this, so
    add an idle function to do later when it's needed.

M	libwnck/pager.c

commit dc7d82f3223806b4bb51c636f16c4f2ef6c57261
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Feb 3 14:52:46 2011 +0100

    pager: Document that the orientation impacts geometry management

M	libwnck/pager.c

commit ca576b2089094881a07b0f64e9f0f627f219c204
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Feb 3 14:50:34 2011 +0100

    pager: Make sure the workspace size we request is always positive

M	libwnck/pager.c

commit 08f4209683ff4acfb8407c765eb8195725e7c23d
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Feb 3 14:47:42 2011 +0100

    pager: Improved geometry management
    
    Implement get_preferred_width_for_height() and
    get_preferred_height_for_width(), by re-using bits from
    wnck_pager_size_request().
    
    Also implement get_request_mode(): we consider that a vertical
    orientation means we have a hard constraint for the width, while an
    horizontal orientation means a hard constraint for the height. Since the
    orientation is mostly used for applets, this makes sense.
    
    This should fix some weird initial size issues with the pager.

M	libwnck/pager.c

commit 3e932beeacd5080237c2508a8ff8f228990fc3e2
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Thu Jan 27 17:48:50 2011 +0100

    pager: Port to GtkStyleContext

M	libwnck/pager.c

commit 93fb4ff17130509660fba3c140006b9a43fe256a
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Thu Jan 27 12:52:34 2011 +0100

    selector: Port to GtkStyleContext

M	libwnck/selector.c

commit 1a123f923385e409394aa627ff90acac0d2c2d1c
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Feb 3 13:26:11 2011 +0100

    tasklist: Rework a bit how arrows are drawn for class groups

M	libwnck/tasklist.c

commit 8e6b7e50d85756438f97b63f512ba6a061b76802
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Feb 3 13:25:18 2011 +0100

    tasklist: Add missing gtk_style_context_restore()

M	libwnck/tasklist.c

commit 6c0e76ed1518d1e3a0427d4d00fca2abb588e200
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Wed Jan 26 21:31:39 2011 +0100

    tasklist: Port to GtkStyleContext

M	libwnck/tasklist.c

commit 9215f5123d9984c7f461ff9e68122234ff1ed26c
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 2 01:46:34 2011 +0100

    release: post-release bump to 2.91.90

M	configure.ac

commit eac1644b6fff558ec375d4d6dd9bfaf13ff2baad
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 2 01:46:24 2011 +0100

    release: 2.91.6

M	NEWS
M	configure.ac

commit 7224a887f1dbbfe2b9a8062918d9d5132306b2ff
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Thu Jan 27 00:59:02 2011 +0100

    QA of Galician translations

M	po/gl.po

commit c0104e72bd7b64b947e511db272a9b3b8a6f8c1d
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Jan 25 12:52:19 2011 +0100

    build: Use libwnck-3.0 as gettext domain
    
    This helps with parallel installability with gtk+ 2.x version.

M	configure.ac

commit 83a4aa25bc163efb23945aceda571ae5bee8ed33
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Jan 20 17:03:09 2011 +0100

    introspection: Add missing annotations

M	libwnck/application.c
M	libwnck/class-group.c
M	libwnck/window.c

commit 0ebc4fc1079a5c406840f43a36c30d4f721ddb8c
Author: Lampersperger Andreas <lampersperger.andreas@heidenhain.de>
Date:   Thu Jan 20 16:56:12 2011 +0100

    core: Plug a leak

M	libwnck/class-group.c

commit 26500d170a6faa8fb4158bd0157763ed2a847bc0
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Jan 20 01:55:03 2011 +0100

    core: Add version.h to provide macros to know libwnck version

M	configure.ac
M	doc/libwnck-docs.sgml
M	doc/libwnck-sections.txt
A	doc/tmpl/version.sgml
M	libwnck/Makefile.am
M	libwnck/libwnck.h
A	libwnck/version.h.in

commit 48248f23e269baeec02a2dbb93a831627dc2dfec
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Jan 20 01:54:39 2011 +0100

    doc: Typos

M	libwnck/screen.c
M	libwnck/screen.h
M	libwnck/util.c
M	libwnck/window.c

commit 6822d5ff15dd7e042715675a51fc85c77b587e90
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Jan 20 01:19:24 2011 +0100

    core: Use G_BEGIN_DECLS/G_END_DECLS where not used before

M	libwnck/pager-accessible-factory.h
M	libwnck/pager-accessible.h
M	libwnck/util.h
M	libwnck/workspace-accessible-factory.h
M	libwnck/workspace-accessible.h

commit 1f927d94617ef75c5c9a93a86a55a27e472df8dd
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Jan 20 01:16:24 2011 +0100

    build: Use single include when building against libwnck
    
    Users of libwnck should just include <libwnck/libwnck.h> now.

M	doc/Makefile.am
M	libwnck/Makefile.am
M	libwnck/application.h
M	libwnck/class-group.h
M	libwnck/libwnck.h
M	libwnck/pager.h
M	libwnck/screen.h
M	libwnck/selector.h
M	libwnck/tasklist.h
M	libwnck/util.h
M	libwnck/window-action-menu.h
M	libwnck/window.h
M	libwnck/wnckprop.c
M	libwnck/workspace.h

commit 4466c8ea5ceefe099deb665271ad202177a3fe86
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Jan 20 00:54:22 2011 +0100

    introspection: Add missing annotations

M	libwnck/window.c
M	libwnck/workspace.c

commit 3950d9be63b2c5fff97a60515fa168ef0bc310e1
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Jan 20 00:45:29 2011 +0100

    doc: Trivial updates to not mention removed API

M	doc/libwnck-sections.txt
M	doc/tmpl/screen.sgml
M	doc/tmpl/workspace.sgml

commit e719435dc2753ac05ad3df4e4a5ab5e47a75dc0d
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Jan 20 00:44:58 2011 +0100

    core: Move WnckMotionDirection from screen.h to workspace.h
    
    That's where it makes sense now.

M	libwnck/screen.h
M	libwnck/workspace.h

commit 52181fcb1ce189b7f7e48dda3e6439faad067fd3
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Jan 20 00:28:23 2011 +0100

    core: Add _wnck_gdk_window_lookup_from_window()
    
    This avoids duplicating code to lookup a GdkWindow from a Window,
    without using gdk_display_get_default().

M	libwnck/xutils.c
M	libwnck/xutils.h

commit bcfa20a542693b3baadf797795efbcb7c3afb423
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Jan 20 00:19:14 2011 +0100

    core: Add Screen argument to _wnck_gdk_pixbuf_get_from_pixmap(), ...
    
    ... _wnck_cairo_surface_get_from_pixmap().

M	libwnck/pager.c
M	libwnck/xutils.c
M	libwnck/xutils.h

commit 6036508f1b0c14800814f0300a2099d8a2b4fc2c
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Jan 20 00:12:34 2011 +0100

    core: Do not use WNCK_SCREEN_XSCREEN in screen.c
    
    We have direct access to the xscreen!

M	libwnck/screen.c

commit 6b42ab2f6ad241e0f887853c2d588015c6f66020
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Jan 20 00:05:09 2011 +0100

    core: Remove usage of _wnck_get_default_display()...
    
    ... in wnck_screen_construct().

M	libwnck/screen.c

commit a5cc0e1f4a27286878eb65a142395fb0b43e9827
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Jan 19 23:57:34 2011 +0100

    core: Add Screen argument to _wnck_select_input()
    
    If we can't find a GdkDisplay matching the Display of the Screen, then
    we just skip the GDK integration code: using gdk_display_get_default()
    would be just wrong. And this shouldn't happen anyway.

M	libwnck/application.c
M	libwnck/screen.c
M	libwnck/window.c
M	libwnck/xutils.c
M	libwnck/xutils.h

commit a85c6febf9771f95bfcf223cf8296858014f8fd3
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Jan 19 23:47:03 2011 +0100

    core: Remove usage of _wnck_get_default_display() in get_server_time()

M	libwnck/xutils.c

commit 41fa40e562133f2486b3134cf650f333a8db6a58
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Jan 19 23:42:43 2011 +0100

    core: Add Screen argument to _wnck_set_icon_geometry()

M	libwnck/window.c
M	libwnck/xutils.c
M	libwnck/xutils.h

commit 5021fc4cb25cc55b58421a707b3daa67efc122d8
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Jan 19 23:37:28 2011 +0100

    core: Add Screen argument to _wnck_read_icons()

M	libwnck/application.c
M	libwnck/window.c
M	libwnck/xutils.c
M	libwnck/xutils.h

commit 10a8d0fa0c99539c158e9f8fb17e26f6829de232
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Jan 19 23:29:46 2011 +0100

    core: Add Screen argument to _wnck_get_res_class_utf8(), ...
    
    ... _wnck_get_wmclass().

M	libwnck/application.c
M	libwnck/window.c
M	libwnck/xutils.c
M	libwnck/xutils.h

commit 6732979e8624f3fa967c0d921bf89a44b2323ff3
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Jan 19 23:21:59 2011 +0100

    core: Add Screen argument to _wnck_iconify(), _wnck_deiconify()

M	libwnck/window.c
M	libwnck/xutils.c
M	libwnck/xutils.h

commit 66dfd5a88b12d5f9ba2cb96045529a647bcd9d87
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Jan 19 23:18:27 2011 +0100

    core: Remove usage of _wnck_get_default_display() in filter_func()

M	libwnck/xutils.c

commit 20614594c5a2184794df9bc3b2a8ebbfe7b917aa
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Jan 19 23:04:08 2011 +0100

    core: Add Screen argument to _wnck_set_utf8_list()

M	libwnck/screen.c
M	libwnck/xutils.c
M	libwnck/xutils.h

commit 2ce7addc6ad415a34499715c1996cd600d281da5
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Jan 19 23:02:17 2011 +0100

    core: Add Screen argument to _wnck_get_utf8_list()

M	libwnck/screen.c
M	libwnck/xutils.c
M	libwnck/xutils.h

commit f6c123a7e96a9993846966f2076c88df1e5dee69
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Jan 19 22:59:30 2011 +0100

    core: Add Screen argument to _wnck_get_cardinal_list(), ...
    
    ... _wnck_get_frame_extents().

M	libwnck/screen.c
M	libwnck/window.c
M	libwnck/xutils.c
M	libwnck/xutils.h

commit 7c9f9636a4dc864d7c8d1d099a49209f5736d56c
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Jan 19 22:54:08 2011 +0100

    core: Add Screen argument to _wnck_get_atom_list()

M	libwnck/window.c
M	libwnck/xutils.c
M	libwnck/xutils.h

commit 693b348b339224646a59d87536a2c806b058d37a
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Jan 19 22:51:43 2011 +0100

    core: Add Screen argument to _wnck_get_window_list()

M	libwnck/screen.c
M	libwnck/xutils.c
M	libwnck/xutils.h

commit 5d08138ed40a4869c89133acab5d17e676405ccc
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Jan 19 22:47:49 2011 +0100

    core: Add Screen argument to _wnck_get_utf8_property()

M	libwnck/application.c
M	libwnck/screen.c
M	libwnck/window.c
M	libwnck/xutils.c
M	libwnck/xutils.h

commit f8002a6afd6f527d9db7f039cccf3212deea648d
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Jan 19 22:42:50 2011 +0100

    core: Add Screen argument to _wnck_get_string_property_latin1()

M	libwnck/xutils.c

commit d7cebcf30700deae62583ec8aec00ddc344c3c4f
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Jan 19 22:39:59 2011 +0100

    core: Add Screen argument to _wnck_get_text_property(), ...
    
    ... _wnck_get_name(), _wnck_get_icon_name().

M	libwnck/application.c
M	libwnck/window.c
M	libwnck/xutils.c
M	libwnck/xutils.h

commit 4560eea3fbf3f06c3ac5fa4542811f85a6da53fe
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Jan 19 22:35:18 2011 +0100

    core: Add Screen argument to _wnck_get_atom()

M	libwnck/xutils.c
M	libwnck/xutils.h

commit 3a41fe828f0723471e4182155ecc46308745d28c
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Jan 19 22:33:56 2011 +0100

    core: Add Screen argument to _wnck_get_pixmap()

M	libwnck/screen.c
M	libwnck/xutils.c
M	libwnck/xutils.h

commit d5e660196ea18efccd11d07dc23a23d160186479
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Jan 19 22:30:21 2011 +0100

    core: Add Screen argument to _wnck_get_window(), _wnck_get_session_id()

M	libwnck/screen.c
M	libwnck/window.c
M	libwnck/xutils.c
M	libwnck/xutils.h

commit ad924f00adc626efffe82645fb6cbf79b6d3c3f5
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Jan 19 22:24:01 2011 +0100

    core: Add Screen argument to _wnck_get_wm_state()

M	libwnck/window.c
M	libwnck/xutils.c
M	libwnck/xutils.h

commit edb4c29daa701fd9d3bc236c25a45afac551f3a5
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Jan 19 22:21:00 2011 +0100

    core: Add Screen argument to _wnck_get_cardinal(), _wnck_get_pid()

M	libwnck/application.c
M	libwnck/screen.c
M	libwnck/util.c
M	libwnck/window.c
M	libwnck/xutils.c
M	libwnck/xutils.h

commit e1001b4634990f8f84605d3309afe852ad643303
Author: Benjamin Otte <otte@redhat.com>
Date:   Wed Jan 19 22:11:16 2011 +0100

    xutils: Use beautiful code for getting icon pixbufs from X
    
    After 20 minutes of discussion about code beauty in #cairo, this
    approach was agreed to be the most beautiful and easy to understand.
    Don't you just love IRC?

M	libwnck/xutils.c

commit 1876b761d070aef3d4cbde45c8cde549b57533ee
Author: Benjamin Otte <otte@redhat.com>
Date:   Wed Jan 19 21:45:40 2011 +0100

    xutils: Rewrite pixmap + mak icon reading code to use cairo
    
    The previous code was hard-coded to assume certain alpha values. And
    those values weren't always correct. In particular, the new GTK3 code
    violated the assumptions.
    The new code can cope with any alpha combination.

M	libwnck/xutils.c

commit c664c0ecf15937f15d950fd37711210ab6f23870
Author: Benjamin Otte <otte@redhat.com>
Date:   Wed Jan 19 20:37:02 2011 +0100

    xutils: Don't call get_pixmap_geometry() anymore
    
    The values were never used.

M	libwnck/xutils.c

commit c073d32ec48feeb9581402dc094a8fcbff110a78
Author: Benjamin Otte <otte@redhat.com>
Date:   Wed Jan 19 20:30:25 2011 +0100

    gir: Add --c-include for libwnck.h

M	libwnck/Makefile.am

commit 513c1f029133c37434f14b074dd4c9670264dd5d
Author: Benjamin Otte <otte@redhat.com>
Date:   Wed Jan 19 20:26:06 2011 +0100

    xutils: Split out surface-from-pixmap creation into separate function

M	libwnck/xutils.c

commit c9a156b1d68a4c04f0a86f1b048fe9e1c1a06003
Merge: fd3f079 d1f711d
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Jan 19 14:18:57 2011 +0100

    Merge branch 'gtk3'
    
    Conflicts:
    	configure.ac

commit d1f711dd28eb3da800607aca492d3a3e20f046b3
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Jan 19 08:17:02 2011 +0100

    build: Require gtk+-3 >= 2.91.5
    
    I'm not sure it's completely right, but with all API changes, especially
    the removal of ::size_request, it might be better. And it doesn't harm.

M	configure.ac

commit 986bfbaad1798098165566fdc624641d9afcd62f
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Jan 19 08:14:05 2011 +0100

    build: Reset libtool versioning to 0
    
    We changed the library name so we can reset.

M	configure.ac

commit 80016110082b03efe9745f49099b131550c87f10
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Jan 19 00:36:35 2011 +0100

    tasklist: Clarify difference between reset & stop glow in code

M	libwnck/tasklist.c

commit ab7419e6377310043be2db8b1d7b7254346564c9
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Jan 18 16:20:59 2011 +0100

    all: Remove deprecated API and change API that had deprecated arguments
    
    The following deprecated API got removed:
     wnck_screen_get_workspace_index
     wnck_screen_get_workspace_neighbor
     wnck_pager_set_screen
     wnck_tasklist_set_minimum_width
     wnck_tasklist_get_minimum_width
     wnck_tasklist_set_minimum_height
     wnck_tasklist_get_minimum_height
     wnck_tasklist_set_screen
     wnck_gtk_window_set_dock_type
     wnck_create_window_action_menu
    
    The following API don't take a WnckScreen argument anymore:
     wnck_pager_new
     wnck_tasklist_new

M	doc/tmpl/misc.sgml
M	doc/tmpl/pager.sgml
M	doc/tmpl/screen.sgml
M	doc/tmpl/tasklist.sgml
M	doc/tmpl/window-action-menu.sgml
M	libwnck/pager.c
M	libwnck/pager.h
M	libwnck/screen.c
M	libwnck/screen.h
M	libwnck/tasklist.c
M	libwnck/tasklist.h
M	libwnck/test-pager.c
M	libwnck/test-tasklist.c
M	libwnck/util.c
M	libwnck/util.h
M	libwnck/window-action-menu.c
M	libwnck/window-action-menu.h

commit 08603cf45db1319c338c1103bc7c03eee16e49ab
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Jan 18 16:09:30 2011 +0100

    all: Code spacing fixes

M	Makefile.am
M	libwnck/application.c
M	libwnck/class-group.c
M	libwnck/pager-accessible-factory.c
M	libwnck/pager-accessible.c
M	libwnck/pager.c
M	libwnck/screen.c
M	libwnck/selector.c
M	libwnck/tasklist.c
M	libwnck/test-pager.c
M	libwnck/test-selector.c
M	libwnck/test-tasklist.c
M	libwnck/util.c
M	libwnck/window-action-menu.c
M	libwnck/window.c
M	libwnck/wnckprop.c
M	libwnck/workspace-accessible.c
M	libwnck/workspace.c
M	libwnck/xutils.c

commit fd3f079e6ccd2c5bd5abfe942c1246f96a8cb5e8
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Jan 12 16:09:07 2011 +0100

    l10n: Update french translation
    
    https://bugzilla.gnome.org/show_bug.cgi?id=639315

M	po/fr.po

commit 96438e32c5bdae9c069be687fab42de1ae96d0dd
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Sun Jan 9 01:35:52 2011 -0500

    build: wnckprop requires -lX11
    
    https://bugzilla.gnome.org/show_bug.cgi?id=639041

M	libwnck/Makefile.am

commit 3f1609f8b812f945c858b01508ba8c78dd89a08f
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Sun Jan 9 01:35:52 2011 -0500

    build: wnckprop requires -lX11
    
    https://bugzilla.gnome.org/show_bug.cgi?id=639041

M	libwnck/Makefile.am

commit 27e7804ee3021e1e8780a439cf22c24e785ae28e
Author: David Ronis <david.ronis@mcgill.ca>
Date:   Wed Dec 29 16:22:56 2010 -0800

    Fixed build replacing deprecated functions (#638201)
    
    gdk_text_property_to_utf8_list and gdk_xid_table_lookup
    have been deprecated.
    
    Signed-off-by: Germán Póo-Caamaño <gpoo@gnome.org>

M	libwnck/xutils.c

commit 246ee4f82bc6f325da7484a12066e8b04605dd1f
Author: Gheyret T.Kenji <gheyret@gmail.com>
Date:   Thu Dec 23 19:26:27 2010 +0100

    Added UG translation

M	po/ug.po

commit edfaba53d94e391faf9c29acf8f2709a88f57888
Author: Ivar Smolin <okul@linux.ee>
Date:   Mon Dec 20 14:08:31 2010 +0200

    [l10n] Updated Estonian translation

M	po/et.po

commit 73c4b64636e247abe7b0f51845d869549b48b5c6
Author: Christian Persch <chpe@gnome.org>
Date:   Fri Dec 3 15:40:19 2010 +0100

    ::draw doesn't own the cairo_t, so don't cairo_destroy it

M	libwnck/pager.c

commit 27a669309aa7a37d813a57e3ffcfa3e3e3f7bf8c
Author: Christian Persch <chpe@gnome.org>
Date:   Fri Dec 3 15:37:44 2010 +0100

    Fix build after size-request removal

M	libwnck/pager.c
M	libwnck/tasklist.c

commit 15f81ce647cedef5944eb648ae922f54560c77be
Author: Gheyret T.Kenji <gheyret@gmail.com>
Date:   Sat Nov 20 12:03:57 2010 +0100

    Added UG translation

M	po/ug.po

commit 3381489cfca7f7bcaa6218ff9e8950d540a62b86
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Nov 17 12:17:15 2010 +0100

    release: post-release bump to 2.30.7

M	configure.ac

commit e6cf058384d3e5d493b47be9da2607ec50d9fb4b
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Nov 17 12:17:09 2010 +0100

    release: 2.30.6

M	NEWS
M	configure.ac

commit 935670205a059700f5e4902749a7bcc55295cad1
Author: Gheyret T.Kenji <gheyret@gmail.com>
Date:   Sun Nov 14 00:06:29 2010 +0100

    Added UG translation

M	po/LINGUAS

commit ef93bdf7dc9f39bd8638c0d6513471f86f32a575
Author: Gheyret T.Kenji <gheyret@gmail.com>
Date:   Sat Nov 13 22:47:12 2010 +0100

    Added UG translation

A	po/ug.po

commit 2120b6ab1118db839409ea092821883645d87b00
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Fri Oct 29 21:34:42 2010 +0100

    Updated Catalan (Valencian) translation

M	po/ca@valencia.po

commit e264754c6ab7e14ab0d7bade35d65f8f58fc05e7
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Oct 26 14:51:52 2010 +0200

    Version bump

M	configure.ac

commit 495d0de3df5e16b9220cddc7a8bbe732ea4c524d
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Oct 26 14:44:59 2010 +0200

    Fix Requires:

M	libwnck-3.0-uninstalled.pc.in

commit 877d968d34fa6f8e5d01fa1cff9f4589a0bff236
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Oct 26 14:30:13 2010 +0200

    Make gtk3 version parallel-installable
    
    Fix pkg-config, library, gtk-doc and gir versioning.

M	Makefile.am
M	configure.ac
M	doc/Makefile.am
M	doc/libwnck-docs.sgml
R075	libwnck-1.0-uninstalled.pc.in	libwnck-3.0-uninstalled.pc.in
R071	libwnck-1.0.pc.in	libwnck-3.0.pc.in
M	libwnck/Makefile.am

commit 8498cc634bfd2398af05440faacc04d568cd4632
Author: Vincent Untz <vuntz@gnome.org>
Date:   Sat Oct 9 11:48:55 2010 +0200

    build: Update git.mk from pango

M	git.mk

commit 1857f00faa225c41a3d5d1ca5bce0c10e1c7deb6
Author: Benjamin Otte <otte@redhat.com>
Date:   Wed Oct 6 16:19:41 2010 +0200

    tasklist: Reorganize how the glow button works
    
    Instead of screenshotting twice and blending the two screenshots in a
    timeout handler, we now do the blending in the draw handler and only
    compute the glow factor in the timeout handler.
    
    This way we ensure that drawing only happens in the draw handler.
    Also, the code looks much nicer now.

M	libwnck/tasklist.c

commit 211a61d40b3cbac8ac38d3efe17e885b00e85f0e
Author: Benjamin Otte <otte@redhat.com>
Date:   Wed Oct 6 15:03:52 2010 +0200

    Port to GTK3
    
    Includes some surgery in the Tasklist widget to make the glow effect use
    gtk_widget_draw() instead of fake expose events.

M	configure.ac
M	libwnck/pager.c
M	libwnck/tasklist.c
M	libwnck/test-tasklist.c
M	libwnck/xutils.c
M	libwnck/xutils.h

commit 59dd136ebe15fb349518dd774882fb7bc5020ddd
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Oct 6 15:09:41 2010 +0200

    tests: Add a small utility to make it easy to test urgency hints

M	libwnck/Makefile.am
A	libwnck/test-urgent.c

commit e3688532fb5e013a63fba049e32dcc006ded04d1
Author: Benjamin Otte <otte@redhat.com>
Date:   Wed Oct 6 13:36:03 2010 +0200

    pager: Let the expose function create the cairo_t
    
    --- and pass around the cairo_t to the functions that do rendering.
    Also update the dnd icon code to create the cairo_t up front.

M	libwnck/pager.c

commit b9dc40029b9120ef4d65cd259f5a4fc30b791692
Author: Benjamin Otte <otte@redhat.com>
Date:   Wed Oct 6 13:23:40 2010 +0200

    pager: Use Cairo for drawing

M	libwnck/pager.c

commit 1ff975f0f4c0bacebb70441f3c05fe6377e747ab
Author: Javier Jardón <jjardon@gnome.org>
Date:   Thu Sep 30 02:33:09 2010 +0200

    Adapt to GtkObject removal in GTK3
    
    Fixes https://bugzilla.gnome.org/show_bug.cgi?id=630970

M	libwnck/selector.c

commit b8463d7bd8c70b7b49c568b04284e9faf99d53ea
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Sep 29 16:03:18 2010 +0200

    tests: Do not mark strings as translatable
    
    The tests don't get installed, so there is no point in translating the
    strings.
    
    As a side-effect, this fixes:
    https://bugzilla.gnome.org/show_bug.cgi?id=630904

M	libwnck/test-pager.c
M	libwnck/test-selector.c
M	libwnck/test-tasklist.c
M	po/POTFILES.in

commit af3a5123c17b43ecedde8a84d741e18a412ca91b
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Sep 27 12:55:39 2010 +0200

    release: post-release bump to 2.30.6

M	configure.ac

commit ce62c58be770f11e3ace7d840d88c5954604b9af
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Sep 27 12:55:27 2010 +0200

    release: 2.30.5

M	NEWS
M	configure.ac
M	doc/tmpl/application.sgml
M	doc/tmpl/class-group.sgml
M	doc/tmpl/misc.sgml
M	doc/tmpl/pager.sgml
M	doc/tmpl/resource.sgml
M	doc/tmpl/screen.sgml
M	doc/tmpl/selector.sgml
M	doc/tmpl/tasklist.sgml
M	doc/tmpl/window-action-menu.sgml
M	doc/tmpl/window.sgml
M	doc/tmpl/workspace.sgml

commit cc9392b02000578ff8a65a9178136ee1ac29999f
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Sep 27 12:34:28 2010 +0200

    misc: Rename --enable-deprecations to --enable-deprecation-flags
    
    This is a better name for this configure option, since it's really about
    enabling the use of the deprecation flags, not allowing the use of
    deprecated API.

M	configure.ac

commit a186fd369b434ce97efdc7fabcd031a27a60efb2
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Sep 27 12:04:18 2010 +0200

    introspection: Associate .gir with pkg-config file

M	libwnck/Makefile.am

commit fed81b47d0f57f5928776cdfdaaecbcd7b3bf3bb
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Mon Sep 27 11:28:48 2010 +0600

    Initial translation to Kazakh

M	po/LINGUAS
A	po/kk.po

commit c4e2408bf81f476ee29f44e44d3adaaaf06afa06
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:   Tue Sep 21 14:54:11 2010 +0700

    [core] Initialize LayoutManager::display
    
    Uninitialized value caused problem with multi-row pager.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=630229

M	libwnck/xutils.c

commit bd5613880bc9813b618c75b735b012f868629341
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Sep 20 17:40:49 2010 +0200

    build: Update all Makefile.am to more recent standards

M	Makefile.am
M	libwnck/Makefile.am

commit a2098603bbe59e0d4f873c4bbc8d12722cca2013
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Sep 20 17:38:28 2010 +0200

    misc: Update instructions for commit messages
    
    We're switching to "tag:" instead of "[tag]".

M	ChangeLog

commit 9a0cbcc76945d0c919643f82d146ae07a13a342b
Author: Takayuki KUSANO <AE5T-KSN@asahi-net.or.jp>
Date:   Mon Sep 20 21:04:31 2010 +0900

    Updated Japanese translation

M	po/ja.po

commit 032d72cc0117b367c988b3ff2239d61bb8b5d196
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Sep 14 14:39:32 2010 +0200

    release: post-release bump to 2.30.5

M	configure.ac

commit bbe9129789f95af43b72cc13af215aceb54cdd02
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Sep 14 14:39:16 2010 +0200

    release: 2.30.4

M	NEWS
M	configure.ac

commit 120f9b73b8228fa165cf54d8066a8f79d43912ea
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Sep 13 06:31:09 2010 +0200

    [core] Use _wnck_error_trap_push/pop instead of gdk_error_trap_push/pop
    
    There was one instance where this was not the case.

M	libwnck/screen.c

commit bbe6f86bbb95e1a30b3919dd141b61650024313e
Author: Vincent Untz <vuntz@gnome.org>
Date:   Sat Sep 11 13:17:57 2010 +0200

    [core, wnckprop] Stop using gdk_display
    
    The gdk_display variable is deprecated.
    
    See https://bugzilla.gnome.org/show_bug.cgi?id=629344

M	libwnck/private.h
M	libwnck/screen.c
M	libwnck/util.c
M	libwnck/window.c
M	libwnck/wnckprop.c
M	libwnck/xutils.c

commit 9c021619e2e4625a20bbdee683e762ae1159d9d6
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Sep 8 19:23:40 2010 +0200

    [misc] Update README
    
    Nothing new, but make sure this is up-to-date.
    
    Also tweak a bit autogen.sh and Makefile.am to make them look similar in
    all my modules.

M	Makefile.am
M	README
M	autogen.sh

commit 7e5f2b1dcecaf679576683d6df85eb08c38f787b
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Sep 8 17:48:39 2010 +0200

    [misc] Update license files to latest text
    
    Note that this doesn't change the license. The license text was updated
    for the latest FSF address, for example.

M	COPYING

commit db0d4206749ab214cfcabcf35ac355153e971bc1
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Sep 8 17:15:50 2010 +0200

    [build] Rename configure.in to configure.ac

M	autogen.sh
R100	configure.in	configure.ac

commit 2805adf5e92994a0d1cbef352e99b2a1b81af25c
Author: Dirgita <dirgitadevina@yahoo.co.id>
Date:   Wed Sep 1 00:58:58 2010 +0700

    Updated Indonesian translation

M	po/id.po

commit 8fa9402839ae96c64bf3f3ff2e14c47c8760435d
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Aug 4 13:34:10 2010 +0200

    [release] post-release bump to 2.30.4

M	configure.in

commit bf723878a7ea8044e5b1e46d3970367217276b17
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Aug 4 13:34:00 2010 +0200

    [release] 2.30.3

M	NEWS
M	configure.in

commit 46da208aa199806da2ffaaa641cba17e1dad0259
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Aug 4 13:28:31 2010 +0200

    [screen] Wrap gtk-doc comments

M	libwnck/screen.c

commit ac52bb7ccefed32699d80570cc83d40736635985
Author: Tomeu Vizoso <tomeu.vizoso@collabora.co.uk>
Date:   Thu Jul 29 12:00:46 2010 +0200

    Add introspection annotations

M	libwnck/application.c
M	libwnck/class-group.c
M	libwnck/screen.c
M	libwnck/window.c

commit ea10769e72dba719cfaec67bc8331e7a428cbabe
Author: Shankar Prasad <sprasad@git.gnome.org>
Date:   Mon Jul 26 16:41:31 2010 +0530

    Updated the Kannada translations

M	po/kn.po

commit 05fe1694184c8c4bb9495a83adb01ca15e7020bb
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Wed Jul 14 15:01:00 2010 +0200

    Updated Slovenian translation

M	po/sl.po

commit ddbb711674cb67dbb3cf8e0c58137764d5e6f9b9
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:   Tue Jul 6 17:45:25 2010 +0700

    Fix failure to build outside source tree
    
    Use gobject-introspection 0.6.14, where introspection sources can be
    referenced via VPATH. Also fix distcheck failure in doc subdir.

M	configure.in
M	doc/Makefile.am
M	libwnck/Makefile.am

commit c29ed854e82ac209a74f1d8d8c1f3a05005d0aec
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Jun 22 19:56:36 2010 +0200

    [pager] And really use the right version for gseal check

M	libwnck/pager-accessible.c

commit baa8c1197290022c7e443c9c42daed1251df37c7
Author: Federico Mena Quintero <federico@novell.com>
Date:   Tue Jun 22 12:25:15 2010 -0500

    Oops, use the right version check

M	libwnck/pager-accessible.c

commit 6e98992283f94846470b2f912ad678c196c52f30
Author: Federico Mena Quintero <federico@novell.com>
Date:   Tue Jun 22 12:21:48 2010 -0500

    bgo#612490 - Use gtk_accessible_set_widget() for the GSEAL()ed field
    
    This requires GTK+ 2.22.0.
    
    Signed-off-by: Federico Mena Quintero <federico@novell.com>

M	libwnck/pager-accessible.c

commit bb032e57e25451a59958e9be21324ff78642007e
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Jun 22 05:13:42 2010 +0200

    [release] post-release bump to 2.30.3

M	configure.in

commit 884e863715320c3e9e762e5681e6f3e56d13ee6e
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Jun 22 05:13:34 2010 +0200

    [release] 2.30.2

M	NEWS
M	configure.in

commit 9f2add192c6fcc3275eff23bfd00287b92ae7dc9
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Jun 22 05:09:28 2010 +0200

    Revert "[build] Fix build when building out of source tree"
    
    This reverts commit fbc16c75f97eea84f9fe1d742ee63c9033486786.
    
    It breaks distcheck.

M	libwnck/Makefile.am

commit 10c55684e59ecfcf1f1ff86ec665c87c597ba9b9
Author: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
Date:   Tue Jun 22 03:49:18 2010 +0200

    [build] Do not dist gir_DATA
    
    GIR files contain a shared-library attribute which varies per platform,
    and therefore must not be disted; see bug 621611 for rationale.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=621728

M	libwnck/Makefile.am

commit fbc16c75f97eea84f9fe1d742ee63c9033486786
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:   Tue Jun 22 03:46:38 2010 +0200

    [build] Fix build when building out of source tree

M	libwnck/Makefile.am

commit d3b4b2d0bed255897d86530acc2b3dae81fc1410
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sun Jun 20 12:13:13 2010 +0200

    Added Norwegian bokmål translation

M	po/nb.po

commit 4fb5c2e8f0c631d51d37b541fc5387ea5aa7370f
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Sun Jun 20 01:03:20 2010 +0200

    Updated Galician translations

M	po/gl.po

commit db702089a08121e66d494400eee399287863dbb9
Author: Rudols Mazurs <rudolfs.mazurs@gmail.com>
Date:   Sun Jun 13 22:40:45 2010 +0300

    Updated Latvian translation.

M	po/lv.po

commit a7a7dd95ea090e2338085fca05aff18995401978
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Jun 1 15:55:16 2010 +0200

    [all] More GSeal work
    
    https://bugzilla.gnome.org/show_bug.cgi?id=612490

M	libwnck/pager-accessible.c
M	libwnck/pager.c
M	libwnck/tasklist.c
M	libwnck/xutils.c

commit f818901668c2783163f67a5322cb6c1665a3957f
Author: Denis ARNAUD <denisarnuad@yahoo.fr>
Date:   Wed May 26 20:44:46 2010 +0200

    updated breton translation

M	po/br.po

commit 07417c90c4a5f1d5adf0658154c150ec5ae7b104
Author: Denis ARNAUD <denisarnuad@yahoo.fr>
Date:   Wed May 26 05:23:55 2010 +0200

    updated breton translation

M	po/br.po

commit f8ae376ad1ea5ecf030b64632581b26151864bb0
Author: Denis ARNAUD <denisarnuad@yahoo.fr>
Date:   Wed May 26 05:15:07 2010 +0200

    updated breton translation

M	po/br.po

commit bcb8be6e7aa827b17d554eafcf53a71c465c85a1
Author: Denis ARNAUD <denisarnuad@yahoo.fr>
Date:   Tue May 25 17:53:54 2010 +0200

    updated breton translation

M	po/br.po

commit 9bd27928af708792389118b39f51268444310d81
Author: Denis ARNAUD <denisarnuad@yahoo.fr>
Date:   Mon May 24 22:27:49 2010 +0200

    updated breton translation

M	po/LINGUAS
A	po/br.po

commit 60c694afa3b94ec1c818e40110aff31130231ad3
Author: Thomas Thurman <tthurman@gnome.org>
Date:   Wed May 12 18:41:44 2010 -0400

    Updated Shavian transliteration

M	po/en@shaw.po

commit 85aee8b4a404d24287ffc4465132180db4ec33d5
Author: Francisco Diéguez <fran.dieguez@mabishu.com>
Date:   Sun Apr 25 16:33:41 2010 +0200

    Updated Galician translations

M	po/gl.po

commit de07f47c0ea564b0f98977847869c114de3f085b
Author: Shankar Prasad <svenkate@svenkate.pnq.redhat.com>
Date:   Wed Apr 21 15:21:54 2010 +0530

    Updated Kannada translations

M	po/kn.po

commit 126f1304e0f2996ddcd9bf60b991607bebe4f335
Author: Andre Klapper <a9016009@gmx.de>
Date:   Fri Apr 16 14:10:46 2010 +0200

    Revert part of last commit

M	libwnck/tasklist.c

commit 3814479fe56974b3837ca15ac5891aba2433ecc1
Author: Andre Klapper <a9016009@gmx.de>
Date:   Fri Apr 16 12:40:44 2010 +0200

    Fix a few issues when building with GSEAL_ENABLED. See bug 612490.

M	libwnck/pager-accessible.c
M	libwnck/tasklist.c
M	libwnck/test-tasklist.c
M	libwnck/workspace-accessible.c

commit ac0a20d7201780ae115c09e771ad9337ec0226ca
Author: Jordi Serratosa <jordis.lists@gmail.com>
Date:   Fri Apr 2 18:41:10 2010 +0200

    Fixes to Catalan translation

M	po/ca.po

commit 389fce77d822ea36465d6a5da67394b1ef2f576e
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Wed Mar 31 12:04:18 2010 +0200

    Updated Basque language

M	po/eu.po

commit a7ea9fdb513e876d9d5573c972d3a1b409d6dcca
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Mar 30 02:07:12 2010 +0200

    [release] post-release bump to 2.30.1

M	configure.in

commit 9fc4b4114643e57b20389f973bc7d3a257b4c84e
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Mar 30 02:07:04 2010 +0200

    [release] 2.30.0

M	NEWS
M	configure.in

commit 9001406ea07317687b45cdfbc1b530b68fa68f48
Author: Ani Peter <apeter@redhat.com>
Date:   Mon Mar 29 14:34:10 2010 +0530

    Updated Malayalam Translations

M	po/ml.po

commit d2f69b37cda4dabc9c716e6804df25ad0ea9717c
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Sat Mar 27 18:29:21 2010 +0100

    Updated Basque language

M	po/eu.po

commit 5c6c35a9146740ef6d0cb99c67b048781b28e768
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Wed Mar 24 11:41:41 2010 +0100

    Updated Basque language

M	po/eu.po

commit 4a2eea3d1675da582daa07f0db2f6fffb8ca943c
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Mar 11 01:04:02 2010 +0100

    [tasklist] Fix a GSeal issue
    
    We were using the event_window field of GtkButton, which is sealed with
    no accessor (that makes sense). What we're interested in is the position
    of the GtkButton on the screen, and it's easy to find it another way.
    
    There's just a small trick: the window of a GtkButton is actually the
    window of its parent; once we know this, we just need to use the
    allocation information to get the relative position and we can deduce
    the absolution position of the widget.

M	libwnck/tasklist.c

commit 98e56b1c96c493705941420b051b9dadae5959d7
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Mar 11 00:40:19 2010 +0100

    [selector] Use a GtkSeparatorMenuItem with label for workspace items
    
    Instead of a hack based on a normal menu item and some voodoo with
    sensitivity & the visual appearance, we can just use a
    GtkSeparatorMenuItem in which we put a label.
    
    The item will not be selectable, but will still look the way we want.

M	libwnck/selector.c

commit 0ffea2f07010079b86bfe98994c0920e1599d313
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Mar 10 23:25:12 2010 +0100

    [all] Start fixing the build with GSEAL_ENABLED
    
    The changes are really straightforward here, it's just some work that
    takes time.
    
    Part of https://bugzilla.gnome.org/show_bug.cgi?id=612490

M	libwnck/pager.c
M	libwnck/selector.c
M	libwnck/tasklist.c
M	libwnck/util.c
M	libwnck/window-action-menu.c

commit 0b0ae9db0d10c19110506dea4dd82b4c8ffaa954
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Mar 9 13:37:02 2010 +0100

    [build] Do not use [] but @<:@ and @:>@ for default values in configure

M	configure.in

commit bb27f3e109a52436d47b1dfab91e7ce4caaac647
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Mar 9 13:25:04 2010 +0100

    [build] Add configure summary

M	configure.in

commit 3b052e5b4339b68b2dc8d1dd316090557d8702a3
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Mar 9 03:37:55 2010 +0100

    [release] post-release bump to 2.30.0

M	configure.in

commit 6b1e2bc39254534d7395a38a649770bf6081edf9
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Mar 9 03:37:46 2010 +0100

    [release] 2.29.92

M	NEWS
M	configure.in

commit ae763021b3ceb6f75019391210b97ee09ca44008
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:   Tue Mar 9 02:57:25 2010 +0100

    [build] Fix build out of source tree

M	libwnck/Makefile.am

commit f9b0a3fb2c56dcb2647bb2340ab317af290b819d
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Mar 9 02:35:13 2010 +0100

    [core] Use _NET_WM_WINDOW_TYPE_SPLASH instead of non-existing hint
    
    We were using _NET_WM_WINDOW_TYPE_SPLASHSCREEN
    
    https://bugzilla.gnome.org/show_bug.cgi?id=590879

M	libwnck/window.c

commit a72037ad0d777645e20670a05ea4f8151cc91e00
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Mar 9 02:18:28 2010 +0100

    [tasklist] Do not lose the pinned status when dragging a window
    
    When dragging and dropping a window to reorder the tasklist, if the
    window was pinned, then it will get unpinned, which is wrong.
    
    Of course, this is not perfect since placing this pinned window in a
    specific spot in a workspace will also change its sort order on other
    workspaces. But there's no way to make this work correctly: if a user
    wants to have a pinned window at a specific spot in his tasklist, this
    just cannot work in all different workspaces at the same time.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=603516

M	libwnck/tasklist.c

commit 130baef7e672f7429e911599f7a36d702d71488a
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Mar 9 02:10:43 2010 +0100

    [doc] Specify what happens when changing workspace of pinned window
    
    https://bugzilla.gnome.org/show_bug.cgi?id=603516

M	libwnck/window.c

commit eeadbe19d6cc63cbb5ba444608d7826cb6059361
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Mar 8 15:24:10 2010 +0100

    [all] Add gobject-introspection support

M	Makefile.am
M	autogen.sh
M	configure.in
M	libwnck/Makefile.am

commit 22b8951f7b19b31f8501cfeff1f53d94597aa995
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Mar 4 17:59:31 2010 +0100

    [all] Build with latest GSeal'ed gtk+
    
    This means we now require gtk+ 2.19.7.

M	configure.in
M	libwnck/pager.c
M	libwnck/selector.c
M	libwnck/tasklist.c

commit 28faf1fe09a1261c743148d31c1368774b129403
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Feb 25 13:03:18 2010 +0100

    Updated Polish translation

M	po/pl.po

commit 002831484540ca474d83c45c4cb7b876ba367980
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Feb 22 20:22:04 2010 +0100

    [release] post-release bump to 2.29.92

M	configure.in

commit c466472a776ccfcc92cc58b65f33000ca9c36403
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Feb 22 20:21:54 2010 +0100

    [release] 2.29.91

M	NEWS
M	configure.in

commit f943f422d58028231c02b3a46a5fc0d03929f013
Author: Fran Diéguez <frandieguez@ubuntu.com>
Date:   Mon Feb 15 17:46:46 2010 +0100

    Updated Galician Translation

M	po/gl.po

commit 1098c425bb25309c2361e290013c7f4d82587056
Author: Ivar Smolin <okul@linux.ee>
Date:   Sun Feb 14 12:22:57 2010 +0200

    Estonian translation updated

M	po/et.po

commit 0fd7feb228775f0c80f1ed28825431381bb77fc0
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Feb 9 15:57:00 2010 +0100

    [misc] Use single-include for atk

M	libwnck/pager-accessible-factory.h
M	libwnck/pager-accessible.c
M	libwnck/workspace-accessible-factory.h

commit 17e7c87002b43169f8815361d2a6e167baa5a268
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Thu Feb 4 19:05:02 2010 +0100

    Updated Slovenian translation

M	po/sl.po

commit d168d146e0aa94e1de3fe2d62f676a436f6c9fdf
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Jan 27 16:15:01 2010 +0100

    [release] post-release bump to 2.29.90

M	configure.in

commit 6f2539e66546d95598dccf03ee81316bc7c43d26
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Jan 27 16:14:47 2010 +0100

    [release] 2.29.6

M	NEWS
M	configure.in

commit 3ef3dbdeeb7eda482df7f58f7fef31cae505033b
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Jan 12 23:14:21 2010 +0100

    [build] Create bz2 tarballs, and modernize a bit configure.in

M	configure.in

commit 570777661c9796ec2ca7dbb3604ef7542eed85eb
Author: Xandru Armesto Fernandez <xandru@softastur.org>
Date:   Thu Jan 7 19:42:32 2010 +0100

    Updated asturian language

A	po/ast.po

commit 59c71bc94058559baf2f590f1d74f6911232bdba
Author: Xandru Armesto Fernandez <xandru@softastur.org>
Date:   Thu Jan 7 19:42:19 2010 +0100

    Added asturian language

M	po/LINGUAS

commit 80caf13bc8c946c303c847347ea7d68c104c78bb
Author: Lucian Adrian Grijincu <lucian.grijincu@gmail.com>
Date:   Sat Dec 5 15:06:00 2009 +0200

    Update Romanian translation

M	po/ro.po

commit c4a18e736fa2b6cc5a1c525f17ddabef2812649a
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Sat Nov 28 08:48:36 2009 +0200

    Updated Arabic translation

M	po/ar.po

commit 7306a13c687ea9814e8660d11ac703cd59331cb7
Author: Adi Roiban <adi@roiban.ro>
Date:   Fri Nov 27 18:34:16 2009 +0200

    Update Romanian translation

M	po/ro.po

commit f77bfeef52ae79f697423a33351a1cf7c9bab456
Author: Thomas Thurman <tthurman@Dorothy.plexq.com>
Date:   Sat Nov 7 19:16:29 2009 +0000

    Shavian translation

M	po/LINGUAS
A	po/en@shaw.po

commit b310d8c0e0f835418533a44d43aeb362b1a4d019
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Thu Nov 5 00:16:35 2009 +0100

    Updated Catalan (Valencian) translation

M	po/ca@valencia.po

commit 2dc248e98cc2509d79feacd06eb6c86de2682254
Author: Reinout van Schouwen <reinouts@gnome.org>
Date:   Tue Oct 27 00:21:11 2009 +0100

    * 2009-10-27  Reinout van Schouwen <reinout@gmail.com>
    
    	- nl.po: Updated Dutch translation (fix suggested by Armijn Hemel)

M	po/nl.po

commit 054ea70a123b7db286ccb359ad93c25c0760fae9
Author: Andika Triwidada <andika@gmail.com>
Date:   Tue Oct 13 18:52:25 2009 +0300

    Updated Indonesian translation

M	po/id.po

commit 51879e605ade65d1862f9a114e2a0a0c8defd5c0
Author: Arun Raghavan <ford_prefect@gentoo.org>
Date:   Tue Oct 6 19:22:41 2009 +0200

    [build] Fix generation of wnck-enum-types.c to not break bindings
    
    We use g_flag_register_static() for flag types (rather than always
    using g_enum_register_static()).
    
    https://bugzilla.gnome.org/show_bug.cgi?id=590534

M	libwnck/Makefile.am

commit d7977d5eed2a68071f13bd9c207a26960e5f9e2a
Author: Andika Triwidada <andika@gmail.com>
Date:   Tue Sep 29 08:51:24 2009 +0300

    Updated Indonesian translation, ~90%

M	po/id.po

commit 5478f8151f1667f37e7e447ed4df2199969ac4ce
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Sep 21 18:26:53 2009 +0200

    [release] post-release bump to 2.28.1

M	configure.in

commit d286c8668981ee55fdb5b9859adcfa70d260341b
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Sep 21 18:26:46 2009 +0200

    [release] 2.28.0

M	NEWS
M	configure.in

commit 8d0bf6944a1111b737a631dd8cfac537cc917c6b
Author: Rajesh Ranjan <rranjan@rranjan.csb>
Date:   Fri Sep 18 18:27:44 2009 +0530

    maithili update, translated by Sangeeta Kumari

M	po/LINGUAS
A	po/mai.po

commit 9b750cee27ffd4ccb8655dd1e1111e6a79395c52
Author: Maxim V. Dziumanenko <dziumanenko@gmail.com>
Date:   Thu Sep 17 21:45:10 2009 +0300

    Added Ukrainian translation

M	po/uk.po

commit 1e6ee6f2c71027c12f0bad2ad6093573ac981307
Author: Maxim V. Dziumanenko <dziumanenko@gmail.com>
Date:   Thu Sep 17 19:01:24 2009 +0300

    Added Ukrainian translation

M	po/uk.po

commit f1699ef31acabe34eca4b8a8a2fa806e683a09fd
Author: Rajesh Ranjan <rranjan@rranjan.csb>
Date:   Tue Sep 15 15:49:14 2009 +0530

    hindi update by Rajesh Ranjan

M	po/hi.po

commit 5bc2b625bb4c4b61bce8b47cdd43911d3cfbe2da
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Sep 9 02:22:26 2009 +0200

    [release] post-release bump to 2.28.0

M	configure.in

commit 0f6e604620b855c8e9bc3a058944e924b6d4ab98
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Sep 9 02:15:40 2009 +0200

    [release] 2.27.92

M	NEWS
M	configure.in

commit ec82fc0ab63e59699c13fe9c77ca67a35acad9fb
Author: Marcus Carlson <gnomebugzilla@mejlamej.nu>
Date:   Tue Sep 8 03:29:05 2009 +0200

    [tasklist] Always show icons in group menu
    
    http://bugzilla.gnome.org/show_bug.cgi?id=591182

M	libwnck/tasklist.c

commit 0e13aea303cd9fa03398334204b2742060fd1c4a
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Sep 8 03:22:45 2009 +0200

    [build] Fix previous commit: startup-notification was never used

M	configure.in

commit 78c009e5c822524372d6513c923ee45defdd3514
Author: Gilles Dartiguelongue <eva@gentoo.org>
Date:   Sat Aug 8 23:34:01 2009 +0200

    [build] Make startup-notification non-automagic
    
    See description at http://www.gentoo.org/proj/en/qa/automagic.xml
    
    This patch makes startup-notification properly switchable at configure
    time while retaining auto-detection capability.
    
    Gentoo: https://bugs.gentoo.org/show_bug.cgi?id=278464
    
    http://bugzilla.gnome.org/show_bug.cgi?id=591188

M	configure.in

commit 9cb8932328670a012389b995cde289cd53de9841
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Wed Sep 2 17:36:48 2009 +0200

    Updated Arabic translation

M	po/ar.po

commit d90b6cab7a149783fcfe8bca19cacf8ea912844b
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Tue Sep 1 14:14:35 2009 +0200

    Update Norwegian bokmål translation.

M	po/nb.po

commit 3b938782c85a7cdfa200a20866b8ba67ad039020
Author: Jamil Ahmed <itsjamil@gmail.com>
Date:   Tue Sep 1 02:54:47 2009 +0700

    Updated Bengali translation

M	po/bn.po

commit 9fa58a0e06ebb64ecc2a03df95a45fc08b8bed3a
Author: Ivar Smolin <okul@linux.ee>
Date:   Mon Aug 31 10:14:19 2009 +0300

    Updating Estonian translation

M	po/et.po

commit 7196d9da9e72448528d7cee97b43f215573684c4
Author: Og B. Maciel <ogmaciel@gnome.org>
Date:   Sun Aug 30 12:12:32 2009 -0400

    Updated mailing list address.

M	po/pt_BR.po

commit 7250395d252d81ae8d2b343160ac84e46da0534b
Author: Ivar Smolin <okul@linux.ee>
Date:   Sat Aug 29 21:28:53 2009 +0300

    Updating Estonian translation

M	po/et.po

commit d8142a8f81e78c4d974dc580f4685abffa8b8348
Author: Miloš Popović <mpopovic@src.gnome.org>
Date:   Fri Aug 28 01:17:18 2009 +0200

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit dc3c8ca57f9f80ffda9437d22363c45d108549dd
Author: Alexander Nyakhaychyk <nyakhaychyk@gmail.com>
Date:   Thu Aug 27 01:10:11 2009 +0300

    Updated Belarusian translation

M	po/be.po

commit a135fa629fd33c239d0fccfc605bfb69d7db7607
Author: Ivar Smolin <okul@linux.ee>
Date:   Tue Aug 18 22:14:13 2009 +0300

    Updating Estonian translation

M	po/et.po

commit 95c011a97ace9697fd33f7c9ceab11a1f9c7abcc
Author: Seán de Búrca <leftmostcat@gmail.com>
Date:   Mon Aug 17 06:24:38 2009 -0600

    Updated Irish translation

M	po/ga.po

commit ec3742a1d959b4bda78e24dae3776c677596c7da
Author: Ivar Smolin <okul@linux.ee>
Date:   Thu Aug 13 22:18:43 2009 +0300

    Updating Estonian translation

M	po/et.po

commit b68fae0a271aea24372e55a97249888e08f09d21
Author: Antón Méixome <meixome@mancoumun.org>
Date:   Wed Aug 12 13:19:59 2009 +0200

    Updated Galician translation

M	po/gl.po

commit b86f777f4a01023456e83c389eef09519100efdc
Author: Ivar Smolin <okul@linux.ee>
Date:   Mon Aug 10 13:00:01 2009 +0300

    Updating Estonian translation

M	po/et.po

commit 55b4aafb310119151a70255fbb34e4a0ad547bdb
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Sun Aug 9 20:27:11 2009 +0200

    Updated Spanish translation

M	po/es.po

commit 5f8dc5beda02e200fa5697e46a29a05b980a80e6
Author: Ivar Smolin <okul@linux.ee>
Date:   Wed Aug 5 13:30:12 2009 +0300

    Updating Estonian translation

M	po/et.po

commit adfe743afe5af16ee72f1759de5629ab24b26262
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Jul 29 04:00:58 2009 +0200

    [release] post-release bump to 2.27.90

M	configure.in

commit 0f86afd73a5eb8c25e7d9ac8f48a927111eca59a
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Jul 29 04:00:49 2009 +0200

    [release] 2.27.5

M	NEWS
M	configure.in

commit 7087e16120b90366b3872b31365252008dd33b79
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Jul 29 00:08:35 2009 +0200

    [misc] Update commit guidelines for referencing bugs

M	ChangeLog

commit 803e05ccbd84e752d46376b7e0a30142f6a9387a
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Jul 28 23:59:47 2009 +0200

    [misc] Properly format some comments

M	libwnck/test-selector.c
M	libwnck/wnckprop.c

commit 1ca602c3d7163242e00f03e2af02cfc006c3ddd0
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Jul 15 16:29:48 2009 +0200

    [urgency] Add the wnck-urgency-monitor utility
    
    This small utility monitors windows that have the urgency hint set, and
    displays a notification icon for each of them. It's useful for people
    not using the window list and who don't want to miss something happening
    in some window.

M	libwnck/Makefile.am
A	libwnck/wnck-urgency-monitor.c

commit aed3a2b0e714f8d475129c06e03ef1b78daa6c10
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Jul 21 19:34:28 2009 +0200

    [build] Set m4/ as macro dir

M	Makefile.am
M	configure.in

commit bf3ae356781a9ed2ae32130ed28ee49fe849383a
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Jul 21 18:50:56 2009 +0200

    [build] Use silent-rules instead of shave for quiet build

M	configure.in
M	libwnck/Makefile.am
D	m4/shave.m4
D	shave-libtool.in
D	shave.in

commit 1e3f6d098049df1001941a78cc7412f1b7f823ad
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Jul 15 16:55:31 2009 +0200

    [release] post-release bump to 2.27.5

M	configure.in

commit 36d20e3d22708e2333fd2098151898235cfb6272
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Jul 15 16:55:22 2009 +0200

    [release] 2.27.4

M	NEWS
M	configure.in

commit 51ba286ce84a1fd8cc454d1f8911bc06e0301bae
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Jul 1 15:34:12 2009 +0200

    [selector] Always show icons in menu
    
    This is a non-standard menu where icons are used to identify
    applications, so we don't want to hide icons when icons in menus are
    disabled.
    
    Also require gtk+ 2.16 for gtk_image_menu_item_set_always_show_image().

M	configure.in
M	libwnck/selector.c

commit 703919ef4bda4e6fb9e60a4df7bd149a056b42ed
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Jun 22 10:36:09 2009 +0200

    [core] Fix wnck_application_get_icon_is_fallback()
    
    We can't simply call _wnck_icon_cache_get_is_fallback() since we're
    possibly using the icon from a window:
    
     + if we have an icon for the application, we know it's not a fallback
       icon (we use _wnck_icon_cache_set_want_fallback())
     + if we use the icon of a window, then we simply relay the result of
       wnck_window_get_icon_is_fallback()
    
    http://bugzilla.gnome.org/show_bug.cgi?id=586571

M	libwnck/application.c

commit bc3a580efc3801daf58332cd1fa2eec3a829255d
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Jun 15 22:54:05 2009 +0200

    [misc] Use g_strcmp0 instead of local convenience function

M	libwnck/window.c

commit f990e5a1a48ba779fb6a6bcd9d45dd4928d496a2
Author: Runa Bhattacharjee <runab@redhat.com>
Date:   Fri Jun 12 19:53:59 2009 +0530

    Updated Bengali India Translations

M	po/bn_IN.po

commit 7a0e76c148b132b012c7563e70383ad6937b4cb4
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Jun 4 17:05:36 2009 +0200

    [build] Mark strings as fuzzy in po files for commit hook check

M	po/ne.po

commit c61c7d87e1a0df7a3559fa6a1a02b783da2a2d22
Author: Ivar Smolin <okul@linux.ee>
Date:   Thu May 7 22:39:19 2009 +0300

    Updating Estonian translation

M	po/et.po

commit 49c91d9b9a7d31a4479fdd81febb1377c754a979
Author: Vincent Untz <vuntz@gnome.org>
Date:   Sat May 2 02:24:06 2009 +0200

    Update commit messages guidelines

M	ChangeLog

commit 1b48de14f5e72413a663e59920835b0a490bf4cb
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Apr 27 00:27:00 2009 +0200

    Update MAINTAINERCLEANFILES
    
    Add configure, remove intltool-*.in (shouldn't be here in the first
    place, see lp#367259) and .gitignore (handled by git.mk).

M	Makefile.am

commit 9d21c76a2e5d6248b40751e5fe2e6782ee498edc
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Apr 27 00:26:43 2009 +0200

    Update git.mk from pango

M	git.mk

commit 53a7dfece6cebab2c269e3a7a01a07aad1361954
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Apr 24 05:53:26 2009 +0200

    Use git.mk from pango to autogenerate .gitignore files

M	Makefile.am
M	doc/Makefile.am
A	git.mk
M	libwnck/Makefile.am

commit 16d184b8c95abacb6a001355258ea55693c8d1ec
Author: Vincent Untz <vuntz@gnome.org>
Date:   Sun Apr 26 12:25:58 2009 +0200

    Fix doap file to have mail address as URL (mailto:)

M	libwnck.doap

commit 9bc71cae231ee0c2adcd9d48d666dd95a516144d
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Apr 24 05:46:33 2009 +0200

    Use shave to improve build log readability
    
    See http://git.lespiau.name/cgit/shave/tree/README for more details.

M	configure.in
M	libwnck/Makefile.am
A	m4/shave.m4
A	shave-libtool.in
A	shave.in

commit c05b1f0eb98d5d729b53ac6050062fbecc79d92a
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Apr 24 05:44:15 2009 +0200

    Trivial fix for a gtk-doc warning

M	libwnck/util.c

commit 0ee4159972087eb00f19f792445e7fd9b9579666
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Apr 24 05:36:47 2009 +0200

    Clean up rules for generated files

M	libwnck/Makefile.am

commit ce2231175f2bfea6ddaefb4fff8a2fe37a8d6613
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Apr 24 03:25:03 2009 +0200

    Make autogen.sh more modern.

M	autogen.sh

commit 635ee7ce054462b4e0f2e97e83b0b9f2d696f450
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Apr 22 17:28:46 2009 +0200

    Add doap file

A	libwnck.doap

commit 103bc0377f4beccea8353b2c3e72ed77595abca9
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Apr 22 17:27:35 2009 +0200

    Rename ChangeLog files to ChangeLog.pre-git

M	ChangeLog
C100	ChangeLog	ChangeLog.pre-git
R100	po/ChangeLog	po/ChangeLog.pre-git

commit a10992078cbd999dcc5a70994a978aac842637a9
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Apr 13 22:06:37 2009 +0000

    post-release bump to 2.26.2
    
    2009-04-14  Vincent Untz  <vuntz@gnome.org>
    
    	* configure.in: post-release bump to 2.26.2
    
    svn path=/trunk/; revision=1767

M	ChangeLog
M	configure.in
M	po/ChangeLog
